import * as React from 'react';
import * as DialogPrimitive from '@radix-ui/react-dialog';
import { HTMLMotionProps } from 'framer-motion';
import { SpuntareProps } from '@ironeko/spuntare';
type ExtendedDialogContents = DialogPrimitive.DialogContentProps & HTMLMotionProps<'div'>;
export interface ModalProps extends ExtendedDialogContents {
    children?: React.ReactNode;
    rootProps?: DialogPrimitive.DialogProps;
    overlayProps?: DialogPrimitive.DialogOverlayProps & HTMLMotionProps<'div'>;
    closeProps?: DialogPrimitive.DialogCloseProps;
    descriptionProps?: DialogPrimitive.DialogDescriptionProps;
    title?: string;
    description?: (open: boolean, setOpen: React.Dispatch<React.SetStateAction<boolean>>) => React.ReactNode;
    headingContent?: React.ReactNode;
}
type ExtendedModalProps = Omit<SpuntareProps, 'open'> & ModalProps;
export declare const Modal: ({ children, title, description, rootProps, overlayProps, closeProps, descriptionProps, headingContent, className, ...rest }: ModalProps) => JSX.Element;
declare const ExtendedModal: ({ depthOfType, lengthOfType, ...props }: ExtendedModalProps) => JSX.Element;
export default ExtendedModal;
