import { useQueryClient, useQuery, defaultContext, useMutation, QueryClientProvider, QueryClient } from '@tanstack/react-query';
import '@tanstack/react-query-devtools';
import React, { useContext, useState, createContext, useEffect, useCallback, useLayoutEffect } from 'react';
import { useParams, useNavigate, useLocation, Link as Link$1, Routes, Route, BrowserRouter } from 'react-router-dom';
import { v4 } from 'uuid';
import { createQueryKeyStore } from '@lukemorales/query-key-factory';
import { Button } from '@imput/components/Button';
import { Octokit } from 'octokit';
import { CircleNotch, ImageSquare, BracketsSquare, CaretUp, CaretDown, LinkBreak, Link, Image as Image$2, Trash, TextBolder, TextItalic, Code as Code$1, TextHOne, TextHTwo, TextHThree, Quotes, ListNumbers, ListBullets } from 'phosphor-react';
import { Buffer } from 'buffer';
import s from 'slugify';
import matter from 'gray-matter';
import get from 'lodash-es/get';
import remarkMdx from 'remark-mdx';
import remarkParse from 'remark-parse';
import { cloneDeep } from 'lodash-es';
import isObject from 'lodash-es/isObject';
import isString from 'lodash-es/isString';
import { Transforms, Node, Range as Range$1, Editor as Editor$1, Element as Element$1, Path, Point, Text as Text$1, createEditor } from 'slate';
import { withHistory } from 'slate-history';
import { Codeblock, Modal, useFormItem, Panel, ErrorBoundary, Form } from '@imput/components';
import { useSlateStatic, ReactEditor, useSelected, useSlate, useSlateSelection, withReact, Slate, Editable } from 'slate-react';
import toast, { Toaster } from 'react-hot-toast';
import { Label } from '@imput/components/Label';
import { useFormContext, useController, useForm } from 'react-hook-form';
import { cva } from 'class-variance-authority';
import { FakeP, H5 } from '@imput/components/Typography';
import { Popover, PopoverContent, PopoverTrigger, PopoverAnchor } from '@imput/components/Popover';
import { Input } from '@imput/components/Input';
import set from 'lodash-es/set';
import cloneDeep$1 from 'lodash-es/cloneDeep';
import { Switch, SwitchControlled } from '@imput/components/Switch';
import Codeblock$1 from '@imput/components/codeblock';
import { Combobox } from '@imput/components/Combobox';
import { CodeSimple, Paragraph, Code, Plus, WarningCircle, CaretLeft, PlusCircle, FolderNotchOpen, FolderNotch } from '@imput/components/Icon';
import isUrl from 'is-url';
import { TooltipProvider, Tooltip, TooltipTrigger, TooltipContent } from '@imput/components/Tooltip';
import Toggle from '@imput/components/Toggle';
import { unified } from 'unified';
import debounce from 'lodash-es/debounce';
import { isHotkey, isKeyHotkey } from 'is-hotkey';
import { Portal } from '@imput/components/Portal';
import { ComboBox } from '@imput/components/Combobox/Controlled';
import merge from 'lodash-es/merge';
import * as Handlebars from 'handlebars/dist/handlebars';
import { useMeasure } from '@imput/utils';
import omit from 'lodash-es/omit';
import { Input as Input$1 } from '@imput/components/Input/Controlled';
import { MDXProvider, useMDXComponents } from '@mdx-js/react';
import * as runtime from 'react/jsx-runtime';
import { evaluate } from '@mdx-js/mdx';
import { Badge } from '@imput/components/Badge';
import ErrorBoundary$1 from '@imput/components/errorBoundary';
import { Card, CardHeader } from '@imput/components/Card';
import { Collapsible, CollapsibleTrigger, CollapsibleContent } from '@imput/components/Collapsible';
import { Select } from '@imput/components/Select/Controlled';
import Form$1 from '@imput/components/form';

function _regeneratorRuntime() {
  _regeneratorRuntime = function () {
    return e;
  };
  var t,
    e = {},
    r = Object.prototype,
    n = r.hasOwnProperty,
    o = Object.defineProperty || function (t, e, r) {
      t[e] = r.value;
    },
    i = "function" == typeof Symbol ? Symbol : {},
    a = i.iterator || "@@iterator",
    c = i.asyncIterator || "@@asyncIterator",
    u = i.toStringTag || "@@toStringTag";
  function define(t, e, r) {
    return Object.defineProperty(t, e, {
      value: r,
      enumerable: !0,
      configurable: !0,
      writable: !0
    }), t[e];
  }
  try {
    define({}, "");
  } catch (t) {
    define = function (t, e, r) {
      return t[e] = r;
    };
  }
  function wrap(t, e, r, n) {
    var i = e && e.prototype instanceof Generator ? e : Generator,
      a = Object.create(i.prototype),
      c = new Context(n || []);
    return o(a, "_invoke", {
      value: makeInvokeMethod(t, r, c)
    }), a;
  }
  function tryCatch(t, e, r) {
    try {
      return {
        type: "normal",
        arg: t.call(e, r)
      };
    } catch (t) {
      return {
        type: "throw",
        arg: t
      };
    }
  }
  e.wrap = wrap;
  var h = "suspendedStart",
    l = "suspendedYield",
    f = "executing",
    s = "completed",
    y = {};
  function Generator() {}
  function GeneratorFunction() {}
  function GeneratorFunctionPrototype() {}
  var p = {};
  define(p, a, function () {
    return this;
  });
  var d = Object.getPrototypeOf,
    v = d && d(d(values([])));
  v && v !== r && n.call(v, a) && (p = v);
  var g = GeneratorFunctionPrototype.prototype = Generator.prototype = Object.create(p);
  function defineIteratorMethods(t) {
    ["next", "throw", "return"].forEach(function (e) {
      define(t, e, function (t) {
        return this._invoke(e, t);
      });
    });
  }
  function AsyncIterator(t, e) {
    function invoke(r, o, i, a) {
      var c = tryCatch(t[r], t, o);
      if ("throw" !== c.type) {
        var u = c.arg,
          h = u.value;
        return h && "object" == typeof h && n.call(h, "__await") ? e.resolve(h.__await).then(function (t) {
          invoke("next", t, i, a);
        }, function (t) {
          invoke("throw", t, i, a);
        }) : e.resolve(h).then(function (t) {
          u.value = t, i(u);
        }, function (t) {
          return invoke("throw", t, i, a);
        });
      }
      a(c.arg);
    }
    var r;
    o(this, "_invoke", {
      value: function (t, n) {
        function callInvokeWithMethodAndArg() {
          return new e(function (e, r) {
            invoke(t, n, e, r);
          });
        }
        return r = r ? r.then(callInvokeWithMethodAndArg, callInvokeWithMethodAndArg) : callInvokeWithMethodAndArg();
      }
    });
  }
  function makeInvokeMethod(e, r, n) {
    var o = h;
    return function (i, a) {
      if (o === f) throw new Error("Generator is already running");
      if (o === s) {
        if ("throw" === i) throw a;
        return {
          value: t,
          done: !0
        };
      }
      for (n.method = i, n.arg = a;;) {
        var c = n.delegate;
        if (c) {
          var u = maybeInvokeDelegate(c, n);
          if (u) {
            if (u === y) continue;
            return u;
          }
        }
        if ("next" === n.method) n.sent = n._sent = n.arg;else if ("throw" === n.method) {
          if (o === h) throw o = s, n.arg;
          n.dispatchException(n.arg);
        } else "return" === n.method && n.abrupt("return", n.arg);
        o = f;
        var p = tryCatch(e, r, n);
        if ("normal" === p.type) {
          if (o = n.done ? s : l, p.arg === y) continue;
          return {
            value: p.arg,
            done: n.done
          };
        }
        "throw" === p.type && (o = s, n.method = "throw", n.arg = p.arg);
      }
    };
  }
  function maybeInvokeDelegate(e, r) {
    var n = r.method,
      o = e.iterator[n];
    if (o === t) return r.delegate = null, "throw" === n && e.iterator.return && (r.method = "return", r.arg = t, maybeInvokeDelegate(e, r), "throw" === r.method) || "return" !== n && (r.method = "throw", r.arg = new TypeError("The iterator does not provide a '" + n + "' method")), y;
    var i = tryCatch(o, e.iterator, r.arg);
    if ("throw" === i.type) return r.method = "throw", r.arg = i.arg, r.delegate = null, y;
    var a = i.arg;
    return a ? a.done ? (r[e.resultName] = a.value, r.next = e.nextLoc, "return" !== r.method && (r.method = "next", r.arg = t), r.delegate = null, y) : a : (r.method = "throw", r.arg = new TypeError("iterator result is not an object"), r.delegate = null, y);
  }
  function pushTryEntry(t) {
    var e = {
      tryLoc: t[0]
    };
    1 in t && (e.catchLoc = t[1]), 2 in t && (e.finallyLoc = t[2], e.afterLoc = t[3]), this.tryEntries.push(e);
  }
  function resetTryEntry(t) {
    var e = t.completion || {};
    e.type = "normal", delete e.arg, t.completion = e;
  }
  function Context(t) {
    this.tryEntries = [{
      tryLoc: "root"
    }], t.forEach(pushTryEntry, this), this.reset(!0);
  }
  function values(e) {
    if (e || "" === e) {
      var r = e[a];
      if (r) return r.call(e);
      if ("function" == typeof e.next) return e;
      if (!isNaN(e.length)) {
        var o = -1,
          i = function next() {
            for (; ++o < e.length;) if (n.call(e, o)) return next.value = e[o], next.done = !1, next;
            return next.value = t, next.done = !0, next;
          };
        return i.next = i;
      }
    }
    throw new TypeError(typeof e + " is not iterable");
  }
  return GeneratorFunction.prototype = GeneratorFunctionPrototype, o(g, "constructor", {
    value: GeneratorFunctionPrototype,
    configurable: !0
  }), o(GeneratorFunctionPrototype, "constructor", {
    value: GeneratorFunction,
    configurable: !0
  }), GeneratorFunction.displayName = define(GeneratorFunctionPrototype, u, "GeneratorFunction"), e.isGeneratorFunction = function (t) {
    var e = "function" == typeof t && t.constructor;
    return !!e && (e === GeneratorFunction || "GeneratorFunction" === (e.displayName || e.name));
  }, e.mark = function (t) {
    return Object.setPrototypeOf ? Object.setPrototypeOf(t, GeneratorFunctionPrototype) : (t.__proto__ = GeneratorFunctionPrototype, define(t, u, "GeneratorFunction")), t.prototype = Object.create(g), t;
  }, e.awrap = function (t) {
    return {
      __await: t
    };
  }, defineIteratorMethods(AsyncIterator.prototype), define(AsyncIterator.prototype, c, function () {
    return this;
  }), e.AsyncIterator = AsyncIterator, e.async = function (t, r, n, o, i) {
    void 0 === i && (i = Promise);
    var a = new AsyncIterator(wrap(t, r, n, o), i);
    return e.isGeneratorFunction(r) ? a : a.next().then(function (t) {
      return t.done ? t.value : a.next();
    });
  }, defineIteratorMethods(g), define(g, u, "Generator"), define(g, a, function () {
    return this;
  }), define(g, "toString", function () {
    return "[object Generator]";
  }), e.keys = function (t) {
    var e = Object(t),
      r = [];
    for (var n in e) r.push(n);
    return r.reverse(), function next() {
      for (; r.length;) {
        var t = r.pop();
        if (t in e) return next.value = t, next.done = !1, next;
      }
      return next.done = !0, next;
    };
  }, e.values = values, Context.prototype = {
    constructor: Context,
    reset: function (e) {
      if (this.prev = 0, this.next = 0, this.sent = this._sent = t, this.done = !1, this.delegate = null, this.method = "next", this.arg = t, this.tryEntries.forEach(resetTryEntry), !e) for (var r in this) "t" === r.charAt(0) && n.call(this, r) && !isNaN(+r.slice(1)) && (this[r] = t);
    },
    stop: function () {
      this.done = !0;
      var t = this.tryEntries[0].completion;
      if ("throw" === t.type) throw t.arg;
      return this.rval;
    },
    dispatchException: function (e) {
      if (this.done) throw e;
      var r = this;
      function handle(n, o) {
        return a.type = "throw", a.arg = e, r.next = n, o && (r.method = "next", r.arg = t), !!o;
      }
      for (var o = this.tryEntries.length - 1; o >= 0; --o) {
        var i = this.tryEntries[o],
          a = i.completion;
        if ("root" === i.tryLoc) return handle("end");
        if (i.tryLoc <= this.prev) {
          var c = n.call(i, "catchLoc"),
            u = n.call(i, "finallyLoc");
          if (c && u) {
            if (this.prev < i.catchLoc) return handle(i.catchLoc, !0);
            if (this.prev < i.finallyLoc) return handle(i.finallyLoc);
          } else if (c) {
            if (this.prev < i.catchLoc) return handle(i.catchLoc, !0);
          } else {
            if (!u) throw new Error("try statement without catch or finally");
            if (this.prev < i.finallyLoc) return handle(i.finallyLoc);
          }
        }
      }
    },
    abrupt: function (t, e) {
      for (var r = this.tryEntries.length - 1; r >= 0; --r) {
        var o = this.tryEntries[r];
        if (o.tryLoc <= this.prev && n.call(o, "finallyLoc") && this.prev < o.finallyLoc) {
          var i = o;
          break;
        }
      }
      i && ("break" === t || "continue" === t) && i.tryLoc <= e && e <= i.finallyLoc && (i = null);
      var a = i ? i.completion : {};
      return a.type = t, a.arg = e, i ? (this.method = "next", this.next = i.finallyLoc, y) : this.complete(a);
    },
    complete: function (t, e) {
      if ("throw" === t.type) throw t.arg;
      return "break" === t.type || "continue" === t.type ? this.next = t.arg : "return" === t.type ? (this.rval = this.arg = t.arg, this.method = "return", this.next = "end") : "normal" === t.type && e && (this.next = e), y;
    },
    finish: function (t) {
      for (var e = this.tryEntries.length - 1; e >= 0; --e) {
        var r = this.tryEntries[e];
        if (r.finallyLoc === t) return this.complete(r.completion, r.afterLoc), resetTryEntry(r), y;
      }
    },
    catch: function (t) {
      for (var e = this.tryEntries.length - 1; e >= 0; --e) {
        var r = this.tryEntries[e];
        if (r.tryLoc === t) {
          var n = r.completion;
          if ("throw" === n.type) {
            var o = n.arg;
            resetTryEntry(r);
          }
          return o;
        }
      }
      throw new Error("illegal catch attempt");
    },
    delegateYield: function (e, r, n) {
      return this.delegate = {
        iterator: values(e),
        resultName: r,
        nextLoc: n
      }, "next" === this.method && (this.arg = t), y;
    }
  }, e;
}
function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) {
  try {
    var info = gen[key](arg);
    var value = info.value;
  } catch (error) {
    reject(error);
    return;
  }
  if (info.done) {
    resolve(value);
  } else {
    Promise.resolve(value).then(_next, _throw);
  }
}
function _asyncToGenerator(fn) {
  return function () {
    var self = this,
      args = arguments;
    return new Promise(function (resolve, reject) {
      var gen = fn.apply(self, args);
      function _next(value) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value);
      }
      function _throw(err) {
        asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err);
      }
      _next(undefined);
    });
  };
}
function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;
  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }
  return target;
}
function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}
function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;
  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];
  return arr2;
}
function _createForOfIteratorHelperLoose(o, allowArrayLike) {
  var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"];
  if (it) return (it = it.call(o)).next.bind(it);
  if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") {
    if (it) o = it;
    var i = 0;
    return function () {
      if (i >= o.length) return {
        done: true
      };
      return {
        done: false,
        value: o[i++]
      };
    };
  }
  throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}

var ctxt$2 = /*#__PURE__*/React.createContext({});

/**
 * Generates an empty attribute for the specific type of field and block
 * @param fieldType - the type of field to generate
 */
var generateComponentProp = function generateComponentProp(fieldType) {
  switch (fieldType.type.widget) {
    case 'date':
    case 'datetime':
    case 'image':
    case 'string':
    default:
      return {
        name: fieldType.name,
        type: 'mdxJsxAttribute',
        value: fieldType.type["default"] || ''
      };
    case 'select':
    case 'boolean':
      if (fieldType.type.widget === 'select' && fieldType.type.multiple) {
        var _jsonNode = {
          type: 'mdxJsxAttribute',
          name: fieldType.name,
          value: {
            type: 'mdxJsxAttributeValueExpression',
            value: '',
            data: {
              estree: {
                type: 'program',
                start: 0,
                end: 1,
                sourcetype: 'module',
                body: [{
                  type: 'ExpressionStatement',
                  expression: {
                    type: 'ObjectExpression',
                    properties: []
                  }
                }]
              }
            }
          }
        };
        return _jsonNode;
      } else {
        var literalNode = {
          type: 'mdxJsxAttribute',
          name: fieldType.name,
          value: {
            type: 'mdxJsxAttributeValueExpression',
            value: '',
            data: {
              estree: {
                type: 'program',
                start: 0,
                end: 1,
                sourcetype: 'module',
                body: [{
                  type: 'ExpressionStatement',
                  expression: {
                    type: 'Literal',
                    raw: "" + fieldType.type["default"],
                    // @ts-expect-error the error isn't actually applicable here, it won't be an array
                    value: fieldType.type["default"] || undefined
                  }
                }]
              }
            }
          }
        };
        return literalNode;
      }
    case 'json':
      var jsonNode = {
        type: 'mdxJsxAttribute',
        name: fieldType.name,
        value: {
          type: 'mdxJsxAttributeValueExpression',
          value: '',
          data: {
            estree: {
              type: 'program',
              start: 0,
              end: 1,
              sourcetype: 'module',
              body: [{
                type: 'ExpressionStatement',
                expression: {
                  type: 'ObjectExpression',
                  properties: []
                }
              }]
            }
          }
        }
      };
      return jsonNode;
  }
};

/**
 * Returns the CMS settings object
 */
var useCMS = function useCMS() {
  var _useContext = useContext(ctxt$2),
    settings = _useContext.settings;
  var params = useParams();
  var currentCollection = params.collection ? settings.collections.find(function (c) {
    return c.name === params.collection;
  }) || settings.collections[0] : settings.collections[0];
  var currentFile = params.file ? params.file : '';
  /**
   * Return all the components for the current collection
   */
  var components = !params.collection ? [] : currentCollection.blocks;
  /**
   * Returns the data structure for a component to be added to the editor
   * @param componentName - The component we want to create
   */
  var createComponent = function createComponent(componentName) {
    var _component$fields;
    var component = components == null ? void 0 : components.find(function (c) {
      return c.name === componentName;
    });
    if (!component) return undefined;
    var attributes = [];
    component == null || (_component$fields = component.fields) == null || _component$fields.forEach(function (f) {
      // children is a special prop, handled differently
      if (f.name !== 'children') attributes.push(generateComponentProp(f));
    });
    var c = {
      id: v4(),
      type: 'mdxJsxFlowElement',
      attributes: attributes,
      reactChildren: [{
        type: 'paragraph',
        children: [{
          text: ''
        }]
      }],
      children: [{
        text: ''
      }],
      name: component.name
    };
    return c;
  };
  /**
   * Returns the prop schema for the specified component
   * @param componentName - The component we want to get the schema for
   */
  var getSchema = function getSchema(componentName) {
    var component = components == null ? void 0 : components.find(function (c) {
      return c.name === componentName;
    });
    if (!component) return undefined;
    return component.fields;
  };
  return _extends({}, settings, {
    components: components,
    currentCollection: currentCollection,
    currentFile: currentFile,
    createComponent: createComponent,
    getSchema: getSchema
  });
};
var CMSContextProvider = ctxt$2.Provider;
/**
 * Context containing all user-set settings for the CMs
 */
var CMSProvider = function CMSProvider(_ref) {
  var children = _ref.children,
    settings = _ref.settings;
  return React.createElement(CMSContextProvider, {
    value: {
      settings: settings
    }
  }, children);
};

var queryKeys = /*#__PURE__*/createQueryKeyStore({
  auth: {
    token: null,
    user: function user(token) {
      return [token];
    }
  },
  github: {
    collection: function collection(type, sortBy, sortDirection) {
      if (sortDirection === void 0) {
        sortDirection = 'desc';
      }
      if (sortBy) return [type, sortBy, sortDirection];
      return [type];
    },
    content: function content(type, slug) {
      return [type, slug];
    },
    fileBlob: function fileBlob(sha) {
      return [sha];
    }
  }
});

var Login = function Login() {
  var _useCMS = useCMS(),
    backend = _useCMS.backend;
  var queryClient = useQueryClient();
  var receiveMessage = function receiveMessage(event) {
    if (event.data.includes && !event.data.includes('setImmediate')) {
      var _JSON$parse = JSON.parse(event.data),
        token = _JSON$parse.token,
        provider = _JSON$parse.provider;
      document.cookie = "token=" + token + "; Max-Age=604800;";
      document.cookie = "provider=" + provider + "; Max-Age=604800;";
      queryClient.invalidateQueries({
        queryKey: queryKeys.auth.token.queryKey
      });
    }
  };
  var openWindow = function openWindow() {
    var w = 700;
    var h = 700;
    var dualScreenLeft = window.screenLeft !== undefined ? window.screenLeft : window.screenX;
    var dualScreenTop = window.screenTop !== undefined ? window.screenTop : window.screenY;
    var width = window.innerWidth ? window.innerWidth : document.documentElement.clientWidth ? document.documentElement.clientWidth : screen.width;
    var height = window.innerHeight ? window.innerHeight : document.documentElement.clientHeight ? document.documentElement.clientHeight : screen.height;
    var systemZoom = width / window.screen.availWidth;
    var left = (width - w) / 2 / systemZoom + dualScreenLeft;
    var top = (height - h) / 2 / systemZoom + dualScreenTop;
    // by building the url like this we ensure it always has a trailing slash
    var url = new URL(backend.base_url);
    window.open("" + url.href + backend.auth_endpoint + "?provider=github", 'Login', "\n        height=" + h + ",\n        width=" + w + ",\n        top=" + top / 2 + ",\n        left=" + left + "\n      ");
  };
  React.useEffect(function () {
    window.addEventListener('message', receiveMessage, false);
    // return window.removeEventListener('message', receiveMessage)
  }, []);
  return React.createElement("div", {
    style: {
      height: '100vh',
      width: '100vw',
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center'
    }
  }, React.createElement(Button, {
    onClick: openWindow
  }, "Login with Github"));
};

function getCookie(cname) {
  var name = cname + '=';
  var decodedCookie = decodeURIComponent(document.cookie);
  var ca = decodedCookie.split(';');
  for (var i = 0; i < ca.length; i++) {
    var c = ca[i];
    while (c.charAt(0) == ' ') {
      c = c.substring(1);
    }
    if (c.indexOf(name) == 0) {
      return c.substring(name.length, c.length);
    }
  }
  return undefined;
}
var getToken = function getToken() {
  return getCookie('token') || null;
};
var useGithubUser = function useGithubUser(token) {
  return useQuery(_extends({}, queryKeys.auth.user(token), {
    context: defaultContext,
    queryFn: function () {
      var _queryFn = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee() {
        var octokit, user;
        return _regeneratorRuntime().wrap(function _callee$(_context) {
          while (1) switch (_context.prev = _context.next) {
            case 0:
              octokit = new Octokit({
                auth: getToken()
              });
              _context.next = 3;
              return octokit.request('GET /user');
            case 3:
              user = _context.sent;
              return _context.abrupt("return", {
                avatar_url: user.data.avatar_url,
                url: user.data.html_url,
                username: user.data.login,
                name: user.data.name,
                email: user.data.email
              });
            case 5:
            case "end":
              return _context.stop();
          }
        }, _callee);
      }));
      function queryFn() {
        return _queryFn.apply(this, arguments);
      }
      return queryFn;
    }(),
    enabled: token !== undefined
  }));
};
var useGithubToken = function useGithubToken() {
  return useQuery(_extends({}, queryKeys.auth.token, {
    context: defaultContext,
    queryFn: function () {
      var _queryFn2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee2() {
        return _regeneratorRuntime().wrap(function _callee2$(_context2) {
          while (1) switch (_context2.prev = _context2.next) {
            case 0:
              return _context2.abrupt("return", getToken());
            case 1:
            case "end":
              return _context2.stop();
          }
        }, _callee2);
      }));
      function queryFn() {
        return _queryFn2.apply(this, arguments);
      }
      return queryFn;
    }()
  }));
};

var ctxt$1 = /*#__PURE__*/React.createContext({});

var Loader = function Loader(_ref) {
  var children = _ref.children;
  return React.createElement("div", {
    className: "h-screen w-full flex items-center justify-center text-primary"
  }, React.createElement("div", {
    className: "flex flex-col items-center gap-4"
  }, React.createElement(CircleNotch, {
    size: 24,
    weight: "bold",
    className: "animate-spin\t"
  }), children || 'Getting your content ready...'));
};

var UserContextProvider = ctxt$1.Provider;
var UserProvider = function UserProvider(_ref) {
  var children = _ref.children;
  var tokenQuery = useGithubToken();
  var _useGithubUser = useGithubUser(tokenQuery.data),
    data = _useGithubUser.data,
    isSuccess = _useGithubUser.isSuccess,
    isLoading = _useGithubUser.isLoading;
  if (tokenQuery.isLoading || isLoading) {
    return React.createElement(Loader, null);
  }
  if (!isSuccess) {
    return React.createElement(Login, null);
  }
  return React.createElement(UserContextProvider, {
    value: data
  }, children);
};

/**
 * Will redirect user to the first collection in their settings.
 *
 * If there are no collections, display a landing page of some sort?
 */
var HomePage = function HomePage() {
  var _useCMS = useCMS(),
    collections = _useCMS.collections;
  var navigate = useNavigate();
  var location = useLocation();
  React.useEffect(function () {
    if (collections.length) {
      navigate(location.pathname + "/" + collections[0].name, {
        replace: true
      });
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [collections, history, location.pathname]);
  return React.createElement(Loader, null);
};

var slugify = function slugify(string) {
  return s(string, {
    replacement: '-',
    remove: undefined,
    lower: true,
    // convert to lower case
    strict: true,
    // strip special characters except replacement
    locale: 'vi',
    // language code of the locale to use
    trim: true // trim leading and trailing replacement chars
  });
};

/**
 * Fetch an entire collection (a Github folder) and parses it to return usable objects
 * @param type the name of the folder we want to load
 */
var useGetGithubCollection = function useGetGithubCollection(type) {
  var _React$useState = React.useState('desc'),
    sortDirection = _React$useState[0],
    setSortDirection = _React$useState[1];
  var _React$useState2 = React.useState('date'),
    sortBy = _React$useState2[0],
    setSortBy = _React$useState2[1];
  var _useCMS = useCMS(),
    backend = _useCMS.backend,
    collections = _useCMS.collections;
  // we can't use `currentCollection` from `useCMS` because that's defined by which folder we've loaded
  // we need to get the correct folder per hook call
  var currentCollection = React.useMemo(function () {
    return collections.find(function (c) {
      return c.folder === type;
    });
  }, []);
  // stop it here in case collection can't be found
  if (!currentCollection) {
    throw new Error("Collection " + type + " does not exist.");
  }
  var _React$useMemo = React.useMemo(function () {
      return backend.repo.split('/');
    }, []),
    owner = _React$useMemo[0],
    repo = _React$useMemo[1];
  var query = useQuery({
    queryKey: queryKeys.github.collection(type, sortBy, sortDirection).queryKey,
    context: defaultContext,
    queryFn: function () {
      var _queryFn = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee2() {
        var octokit, files, commits, _iterator, _step, _commits$i$data$0$com, _step$value, i, file, filesWithDate, decodedFiles;
        return _regeneratorRuntime().wrap(function _callee2$(_context2) {
          while (1) switch (_context2.prev = _context2.next) {
            case 0:
              octokit = new Octokit({
                auth: getToken()
              });
              _context2.prev = 1;
              _context2.next = 4;
              return octokit.request('GET /repos/{owner}/{repo}/git/trees/{tree_sha}', {
                owner: owner,
                repo: repo,
                tree_sha: backend.branch + ":" + type
              });
            case 4:
              files = _context2.sent;
              _context2.next = 10;
              break;
            case 7:
              _context2.prev = 7;
              _context2.t0 = _context2["catch"](1);
              throw new Error("Couldn't find files :(");
            case 10:
              if (files) {
                _context2.next = 12;
                break;
              }
              return _context2.abrupt("return", []);
            case 12:
              _context2.next = 14;
              return Promise.all(files.data.tree.map(function (file) {
                return octokit.request('GET /repos/{owner}/{repo}/commits', {
                  owner: owner,
                  repo: repo,
                  sha: backend.branch,
                  path: type + "/" + file.path,
                  page: 1,
                  per_page: 1
                });
              }));
            case 14:
              commits = _context2.sent;
              // need to get commit info for each file to get when they were last updated
              for (_iterator = _createForOfIteratorHelperLoose(files.data.tree.entries()); !(_step = _iterator()).done;) {
                _step$value = _step.value, i = _step$value[0], file = _step$value[1];
                // @ts-ignore
                // assign the date to the original object
                file.date = (_commits$i$data$0$com = commits[i].data[0].commit.author) == null ? void 0 : _commits$i$data$0$com.date;
              }
              // this tells typescript that we've added a `date` to the object
              filesWithDate = files;
              _context2.next = 19;
              return Promise.all(filesWithDate.data.tree
              // this will filter out non-files from the results
              .filter(function (t) {
                return t.mode === '100644';
              }).map( /*#__PURE__*/function () {
                var _ref = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee(file) {
                  var _file$path;
                  var blob, buf, decoded;
                  return _regeneratorRuntime().wrap(function _callee$(_context) {
                    while (1) switch (_context.prev = _context.next) {
                      case 0:
                        _context.next = 2;
                        return octokit.request('GET /repos/{owner}/{repo}/git/blobs/{file_sha}', {
                          owner: owner,
                          repo: repo,
                          file_sha: file.sha
                        });
                      case 2:
                        blob = _context.sent;
                        buf = Buffer.from(blob.data.content, 'base64');
                        decoded = matter(buf.toString('utf-8'));
                        return _context.abrupt("return", _extends({}, decoded, {
                          filename: file.path,
                          updatedAt: file.date,
                          slug: (_file$path = file.path) == null ? void 0 : _file$path.split("." + currentCollection.extension)[0],
                          markdown: buf.toString('utf-8')
                        }));
                      case 6:
                      case "end":
                        return _context.stop();
                    }
                  }, _callee);
                }));
                return function (_x) {
                  return _ref.apply(this, arguments);
                };
              }())).then(function (d) {
                return d.sort(function (a, b) {
                  switch (sortBy) {
                    case 'updatedAt':
                      var aTime = new Date(get(a, sortBy)).getTime();
                      var bTime = new Date(get(b, sortBy)).getTime();
                      if (sortDirection === 'desc') return bTime - aTime;
                      return aTime - bTime;
                    default:
                      // this will access data from gray matter
                      var key = "data." + sortBy;
                      // get what type of widget the collection is
                      var keyType = currentCollection.fields.find(function (f) {
                        return f.name === sortBy;
                      });
                      // then depending on the widget we switch how we sort it
                      if (keyType != null && keyType.widget) {
                        switch (keyType.widget) {
                          case 'date':
                          case 'datetime':
                            var _aTime = new Date(get(a, key)).getTime();
                            var _bTime = new Date(get(b, key)).getTime();
                            if (sortDirection === 'desc') return _bTime - _aTime;
                            return _aTime - _bTime;
                          case 'string':
                            if (sortDirection === 'desc') {
                              return get(a, key) > get(b, key) ? -1 : 1;
                            }
                            return get(b, key) > get(a, key) ? -1 : 1;
                        }
                      }
                      return get(b, key) - get(a, key);
                  }
                })
                // remove any files that don't match our filetype
                .filter(function (c) {
                  var _c$filename;
                  return (_c$filename = c.filename) == null ? void 0 : _c$filename.endsWith("." + currentCollection.extension);
                });
              });
            case 19:
              decodedFiles = _context2.sent;
              return _context2.abrupt("return", decodedFiles);
            case 21:
            case "end":
              return _context2.stop();
          }
        }, _callee2, null, [[1, 7]]);
      }));
      function queryFn() {
        return _queryFn.apply(this, arguments);
      }
      return queryFn;
    }()
  });
  return _extends({}, query, {
    sorting: {
      // return values that we can filter for
      options: [
      // reserved word
      'updatedAt'].concat(currentCollection.fields.filter(function (f) {
        return ['date', 'datetime', 'string'].includes(f.widget);
      }).map(function (o) {
        return o.name;
      })),
      sortBy: sortBy,
      setSortBy: setSortBy,
      sortDirection: sortDirection,
      setSortDirection: setSortDirection
    }
  });
};
/**
 * Fetch all image data from the connected repo.
 * NOTE: doesn't download images, just their info.
 */
var useGetGithubImages = function useGetGithubImages() {
  var _useCMS2 = useCMS(),
    backend = _useCMS2.backend,
    media_folder = _useCMS2.media_folder;
  var _backend$repo$split = backend.repo.split('/'),
    owner = _backend$repo$split[0],
    repo = _backend$repo$split[1];
  return useQuery({
    queryKey: queryKeys.github.collection(media_folder).queryKey,
    context: defaultContext,
    queryFn: function () {
      var _queryFn2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee3() {
        var octokit, files, commits, _iterator2, _step2, _commits$i$data$0$com2, _step2$value, i, file, filesWithDate, orderedFiles;
        return _regeneratorRuntime().wrap(function _callee3$(_context3) {
          while (1) switch (_context3.prev = _context3.next) {
            case 0:
              octokit = new Octokit({
                auth: getToken()
              });
              _context3.prev = 1;
              _context3.next = 4;
              return octokit.request('GET /repos/{owner}/{repo}/git/trees/{tree_sha}', {
                owner: owner,
                repo: repo,
                tree_sha: backend.branch + ":" + media_folder
              });
            case 4:
              files = _context3.sent;
              _context3.next = 10;
              break;
            case 7:
              _context3.prev = 7;
              _context3.t0 = _context3["catch"](1);
              throw new Error("Couldn't find files :(");
            case 10:
              if (files) {
                _context3.next = 12;
                break;
              }
              return _context3.abrupt("return", {
                data: {
                  tree: []
                }
              });
            case 12:
              _context3.next = 14;
              return Promise.all(files.data.tree.map(function (file) {
                return octokit.request('GET /repos/{owner}/{repo}/commits', {
                  owner: owner,
                  repo: repo,
                  sha: backend.branch,
                  path: media_folder + "/" + file.path,
                  page: 1,
                  per_page: 1
                });
              }));
            case 14:
              commits = _context3.sent;
              // need to get commit info for each file to get when they were last updated
              for (_iterator2 = _createForOfIteratorHelperLoose(files.data.tree.entries()); !(_step2 = _iterator2()).done;) {
                _step2$value = _step2.value, i = _step2$value[0], file = _step2$value[1];
                // @ts-ignore
                // assign the date to the original object
                file.date = (_commits$i$data$0$com2 = commits[i].data[0].commit.author) == null ? void 0 : _commits$i$data$0$com2.date;
              }
              // this tells typescript that we've added a `date` to the object
              filesWithDate = files; // order the files in descending order with newest first
              orderedFiles = _extends({}, filesWithDate, {
                data: _extends({}, filesWithDate.data, {
                  tree: filesWithDate.data.tree
                  // filter out anything that isn't a file
                  .filter(function (t) {
                    return t.mode === '100644';
                  }).sort(function (a, b) {
                    return +new Date(b.date) - +new Date(a.date);
                  })
                })
              });
              return _context3.abrupt("return", orderedFiles);
            case 19:
            case "end":
              return _context3.stop();
          }
        }, _callee3, null, [[1, 7]]);
      }));
      function queryFn() {
        return _queryFn2.apply(this, arguments);
      }
      return queryFn;
    }()
  });
};
/**
 * Returns a base64 string for a specific sha file in a repo
 */
var getGithubFileBase64 = /*#__PURE__*/function () {
  var _ref2 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee4(owner, repo, sha) {
    var octokit, response;
    return _regeneratorRuntime().wrap(function _callee4$(_context4) {
      while (1) switch (_context4.prev = _context4.next) {
        case 0:
          octokit = new Octokit({
            auth: getToken()
          });
          _context4.next = 3;
          return octokit.request('GET /repos/{owner}/{repo}/git/blobs/{file_sha}', {
            owner: owner,
            repo: repo,
            file_sha: sha
          });
        case 3:
          response = _context4.sent;
          return _context4.abrupt("return", response.data.content);
        case 5:
        case "end":
          return _context4.stop();
      }
    }, _callee4);
  }));
  return function getGithubFileBase64(_x2, _x3, _x4) {
    return _ref2.apply(this, arguments);
  };
}();
/**
 * Return a single piece of content from the already loaded collection.
 * @param type the folder our content is part of
 * @param slug the specific content's unique slug
 * @returns
 */
var useGetContent = function useGetContent(type, slug) {
  var _useGetGithubCollecti = useGetGithubCollection(type),
    data = _useGetGithubCollecti.data,
    isSuccess = _useGetGithubCollecti.isSuccess,
    isError = _useGetGithubCollecti.isError;
  var query = useQuery(_extends({}, queryKeys.github.content(type, slug), {
    context: defaultContext,
    queryFn: function () {
      var _queryFn3 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee5() {
        var content;
        return _regeneratorRuntime().wrap(function _callee5$(_context5) {
          while (1) switch (_context5.prev = _context5.next) {
            case 0:
              content = data.find(function (d) {
                return d.slug === slug;
              });
              return _context5.abrupt("return", content);
            case 2:
            case "end":
              return _context5.stop();
          }
        }, _callee5);
      }));
      function queryFn() {
        return _queryFn3.apply(this, arguments);
      }
      return queryFn;
    }(),
    enabled: isSuccess
  }));
  return _extends({}, query, {
    collectionIsError: isError
  });
};
var blobToBase64 = function blobToBase64(blob) {
  return new Promise(function (resolve, reject) {
    var reader = new FileReader();
    reader.readAsDataURL(blob);
    reader.onload = function () {
      return resolve(reader.result);
    };
    reader.onerror = function (error) {
      return reject(error);
    };
  });
};
/**
 * Save a file to github
 */
var saveToGithub = /*#__PURE__*/function () {
  var _ref4 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee7(_ref3, filename, blob) {
    var owner, repo, branch, octokit, sha, currentBranch, tree, commit;
    return _regeneratorRuntime().wrap(function _callee7$(_context7) {
      while (1) switch (_context7.prev = _context7.next) {
        case 0:
          owner = _ref3.owner, repo = _ref3.repo, branch = _ref3.branch;
          octokit = new Octokit({
            auth: getToken()
          });
          _context7.next = 4;
          return octokit.request('POST /repos/{owner}/{repo}/git/blobs', {
            owner: owner,
            repo: repo,
            content: blob.content,
            encoding: blob.encoding
          });
        case 4:
          sha = _context7.sent;
          blob.sha = sha.data.sha;
          // info about the current branch e.g. last commit sha, last tree sha, etc
          _context7.next = 8;
          return octokit.request('GET /repos/{owner}/{repo}/branches/{branch}', {
            owner: owner,
            repo: repo,
            branch: branch
          });
        case 8:
          currentBranch = _context7.sent;
          _context7.next = 11;
          return octokit.request('POST /repos/{owner}/{repo}/git/trees', {
            owner: owner,
            repo: repo,
            tree: [{
              path: blob.path,
              mode: '100644',
              type: 'blob',
              sha: blob.sha
            }],
            base_tree: currentBranch.data.commit.commit.tree.sha
          });
        case 11:
          tree = _context7.sent;
          _context7.next = 14;
          return octokit.request('POST /repos/{owner}/{repo}/git/commits', {
            owner: owner,
            repo: repo,
            message: "Updated \"" + filename + "\" from ImputCMS",
            tree: tree.data.sha,
            parents: [currentBranch.data.commit.sha]
          });
        case 14:
          commit = _context7.sent;
          _context7.next = 17;
          return octokit.request('PATCH /repos/{owner}/{repo}/git/refs/{ref}', {
            owner: owner,
            repo: repo,
            ref: "heads/" + branch,
            sha: commit.data.sha
          });
        case 17:
          return _context7.abrupt("return", {
            sha: sha.data.sha
          });
        case 18:
        case "end":
          return _context7.stop();
      }
    }, _callee7);
  }));
  return function saveToGithub(_x5, _x6, _x7) {
    return _ref4.apply(this, arguments);
  };
}();
/**
 * Save the currently opened markdown document.
 */
var useSaveMarkdown = function useSaveMarkdown(
/**
 * File being edited, used for nice commit messages
 */
filename) {
  var _useCMS4 = useCMS(),
    backend = _useCMS4.backend,
    branch = _useCMS4.backend.branch;
  var _backend$repo$split3 = backend.repo.split('/'),
    owner = _backend$repo$split3[0],
    repo = _backend$repo$split3[1];
  return useMutation({
    mutationFn: function () {
      var _mutationFn = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee8(_ref5) {
        var markdown;
        return _regeneratorRuntime().wrap(function _callee8$(_context8) {
          while (1) switch (_context8.prev = _context8.next) {
            case 0:
              markdown = _ref5.markdown;
              _context8.next = 3;
              return saveToGithub({
                owner: owner,
                repo: repo,
                branch: branch
              }, filename, {
                type: 'markdown',
                content: markdown.content,
                path: markdown.path,
                encoding: 'utf-8'
              });
            case 3:
              return _context8.abrupt("return", _context8.sent);
            case 4:
            case "end":
              return _context8.stop();
          }
        }, _callee8);
      }));
      function mutationFn(_x8) {
        return _mutationFn.apply(this, arguments);
      }
      return mutationFn;
    }()
  });
};
var fileToBlob$1 = /*#__PURE__*/function () {
  var _ref6 = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee9(file) {
    return _regeneratorRuntime().wrap(function _callee9$(_context9) {
      while (1) switch (_context9.prev = _context9.next) {
        case 0:
          _context9.t0 = Blob;
          _context9.t1 = Uint8Array;
          _context9.next = 4;
          return file.arrayBuffer();
        case 4:
          _context9.t2 = _context9.sent;
          _context9.t3 = new _context9.t1(_context9.t2);
          _context9.t4 = [_context9.t3];
          _context9.t5 = {
            type: file.type
          };
          return _context9.abrupt("return", new _context9.t0(_context9.t4, _context9.t5));
        case 9:
        case "end":
          return _context9.stop();
      }
    }, _callee9);
  }));
  return function fileToBlob(_x9) {
    return _ref6.apply(this, arguments);
  };
}();
/**
 * Upload a `File` to Github
 */
var useUploadFile = function useUploadFile() {
  var _useCMS5 = useCMS(),
    backend = _useCMS5.backend,
    branch = _useCMS5.backend.branch,
    media_folder = _useCMS5.media_folder;
  var _backend$repo$split4 = backend.repo.split('/'),
    owner = _backend$repo$split4[0],
    repo = _backend$repo$split4[1];
  return useMutation({
    mutationFn: function () {
      var _mutationFn2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee10(_ref7) {
        var filename, file, re, _re$exec, reFullExt, reExt, splitFilename, slugifiedFilename, blob, content, res;
        return _regeneratorRuntime().wrap(function _callee10$(_context10) {
          while (1) switch (_context10.prev = _context10.next) {
            case 0:
              filename = _ref7.filename, file = _ref7.file;
              re = /(?:\.([^.]+))?$/; // separate file's extension
              _re$exec = re.exec(filename), reFullExt = _re$exec[0], reExt = _re$exec[1]; // get the filename only without the extension
              splitFilename = filename.split(reFullExt)[0]; // slugify it
              slugifiedFilename = slugify(splitFilename);
              _context10.next = 7;
              return fileToBlob$1(file);
            case 7:
              blob = _context10.sent;
              _context10.next = 10;
              return blobToBase64(blob);
            case 10:
              content = _context10.sent;
              _context10.next = 13;
              return saveToGithub({
                owner: owner,
                repo: repo,
                branch: branch
              }, slugifiedFilename + "." + reExt, {
                type: 'file',
                content: content.split(',')[1],
                path: media_folder + "/" + slugifiedFilename + "." + reExt,
                encoding: 'base64'
              });
            case 13:
              res = _context10.sent;
              return _context10.abrupt("return", {
                path: slugifiedFilename + "." + reExt,
                sha: res.sha
              });
            case 15:
            case "end":
              return _context10.stop();
          }
        }, _callee10);
      }));
      function mutationFn(_x10) {
        return _mutationFn2.apply(this, arguments);
      }
      return mutationFn;
    }()
  });
};

var DepthContext = /*#__PURE__*/createContext([[], function () {
  return null;
}]);
var useEditorDepth = function useEditorDepth() {
  var _useContext = useContext(DepthContext),
    depthArray = _useContext[0],
    setDepthArray = _useContext[1];
  var addElement = function addElement(id) {
    setDepthArray([{
      id: id
    }].concat(depthArray));
  };
  var removeElement = function removeElement(id) {
    setDepthArray(depthArray.filter(function (d) {
      return d.id !== id;
    }));
  };
  var getDepth = function getDepth(id) {
    return depthArray.map(function (d) {
      return d.id;
    }).findIndex(function (dId) {
      return dId === id;
    });
  };
  return {
    depthArray: depthArray,
    addElement: addElement,
    getDepth: getDepth,
    removeElement: removeElement
  };
};
var DepthProvider = function DepthProvider(_ref) {
  var children = _ref.children;
  var _useState = useState([]),
    depth = _useState[0],
    setDepth = _useState[1];
  return React.createElement(DepthContext.Provider, {
    value: [depth, setDepth]
  }, children);
};

var defaultNodeTypes = {
  paragraph: 'paragraph',
  block_quote: 'block_quote',
  code_block: 'code_block',
  code_snippet: 'code_snippet',
  link: 'link',
  ul_list: 'ul_list',
  ol_list: 'ol_list',
  listItem: 'list_item',
  listItemText: 'list_item_text',
  heading: {
    1: 'heading_one',
    2: 'heading_two',
    3: 'heading_three',
    4: 'heading_four',
    5: 'heading_five',
    6: 'heading_six'
  },
  emphasis_mark: 'italic',
  strong_mark: 'bold',
  delete_mark: 'strikeThrough',
  inline_code_mark: 'code',
  thematic_break: 'thematic_break',
  image: 'image',
  mdxJsxFlowElement: 'mdxJsxFlowElement'
};

/**
 * Markdown to Slate deserialization.
 * From https://github.com/hanford/remark-slate
 */
function deserialize$1(node, opts) {
  var _opts$nodeTypes, _opts$linkDestination, _opts$imageSourceKey, _opts$imageCaptionKey, _node$children, _ref, _ref2, _node$value, _extends2, _extends3, _extends4;
  var types = _extends({}, defaultNodeTypes, opts == null ? void 0 : opts.nodeTypes, {
    heading: _extends({}, defaultNodeTypes.heading, opts == null || (_opts$nodeTypes = opts.nodeTypes) == null ? void 0 : _opts$nodeTypes.heading)
  });
  var linkDestinationKey = (_opts$linkDestination = opts == null ? void 0 : opts.linkDestinationKey) != null ? _opts$linkDestination : 'url';
  var imageSourceKey = (_opts$imageSourceKey = opts == null ? void 0 : opts.imageSourceKey) != null ? _opts$imageSourceKey : 'link';
  var imageCaptionKey = (_opts$imageCaptionKey = opts == null ? void 0 : opts.imageCaptionKey) != null ? _opts$imageCaptionKey : 'caption';
  var children = [{
    text: ''
  }];
  /**
   * Images are deserialised as children of paragraphs, so we want to make sure they're their own node rather than wrapped in a paragraph
   */
  if (node.type === 'paragraph' && ((_node$children = node.children) == null ? void 0 : _node$children.length) === 1 && node.children[0].type === 'image') {
    node = node.children[0];
  }
  /**
   * This adds support for custom lists which are handled by @prezly/slate-lists
   */
  if (node.type === 'listItem') {
    var _node$children2;
    node.children = (_node$children2 = node.children) == null ? void 0 : _node$children2.map(function (c) {
      var _c$children;
      if (c.type === 'paragraph' && c.children && ((_c$children = c.children) == null ? void 0 : _c$children.length) > 0) {
        var newChild = cloneDeep(c);
        newChild.type = 'list_item_text';
        return newChild;
      }
      return c;
    });
  }
  var nodeChildren = node.children;
  if (nodeChildren && Array.isArray(nodeChildren) && nodeChildren.length > 0) {
    // @ts-ignore
    children = nodeChildren.flatMap(function (c) {
      return deserialize$1(_extends({}, c, {
        ordered: node.ordered || false
      }), opts);
    });
  }
  var id = v4();
  switch (node.type) {
    case 'heading':
      return {
        type: types.heading[node.depth || 1],
        children: children
      };
    case 'list':
      return {
        type: node.ordered ? types.ol_list : types.ul_list,
        children: children
      };
    case 'listItem':
      return {
        type: types.listItem,
        children: children
      };
    case 'paragraph':
      return {
        type: types.paragraph,
        children: children
      };
    case 'mdxJsxFlowElement':
      var mdxNodes = node.attributes;
      return {
        id: id,
        name: node.name,
        type: types.mdxJsxFlowElement,
        reactChildren: children,
        children: [{
          text: ''
        }],
        attributes: mdxNodes
      };
    case 'link':
      return _ref = {
        type: types.link
      }, _ref[linkDestinationKey] = node.url, _ref.children = children, _ref;
    case 'image':
      return _ref2 = {
        type: types.image,
        children: [{
          text: ''
        }]
      }, _ref2[imageSourceKey] = node.url, _ref2[imageCaptionKey] = node.alt, _ref2.title = node.title, _ref2;
    case 'blockquote':
      return {
        type: types.block_quote,
        children: children
      };
    case 'code':
      return {
        type: types.code_block,
        language: node.lang,
        children: [{
          text: node.value
        }],
        code: [{
          text: node.value
        }]
      };
    case 'html':
      if ((_node$value = node.value) != null && _node$value.includes('<br>')) {
        var _node$value2;
        return {
          "break": true,
          type: types.paragraph,
          children: [{
            text: ((_node$value2 = node.value) == null ? void 0 : _node$value2.replace(/<br>/g, '')) || ''
          }]
        };
      }
      return {
        type: 'paragraph',
        children: [{
          text: node.value || ''
        }]
      };
    case 'emphasis':
      return _extends((_extends2 = {}, _extends2[types.emphasis_mark] = true, _extends2), forceLeafNode(children), persistLeafFormats(children));
    case 'strong':
      return _extends((_extends3 = {}, _extends3[types.strong_mark] = true, _extends3), forceLeafNode(children), persistLeafFormats(children));
    case 'delete':
      return _extends((_extends4 = {}, _extends4[types.delete_mark] = true, _extends4), forceLeafNode(children), persistLeafFormats(children));
    case 'inlineCode':
      return {
        type: types.code_snippet,
        children: [{
          text: node.value
        }]
      };
    case 'thematicBreak':
      return {
        type: types.thematic_break,
        children: [{
          text: ''
        }]
      };
    case 'list_item_text':
      return {
        type: 'list_item_text',
        children: children
      };
    case 'text':
    default:
      return {
        text: node.value || ''
      };
  }
}
var forceLeafNode = function forceLeafNode(children) {
  return {
    text: children.map(function (k) {
      return k == null ? void 0 : k.text;
    }).join('')
  };
};
// This function is will take any unknown keys, and bring them up a level
// allowing leaf nodes to have many different formats at once
// for example, bold and italic on the same node
function persistLeafFormats(children) {
  return children.reduce(function (acc, node) {
    Object.keys(node).forEach(function (key) {
      if (key === 'children' || key === 'type' || key === 'text') return;
      acc[key] = node[key];
    });
    return acc;
  }, {});
}

/**
 * Object detailing where MDX attribute values are stored depending on the type of the object
 */
var mdxAccessors = {
  Literal: 'value.data.estree.body[0].expression.value',
  ArrayExpression: 'value.value',
  ObjectExpression: 'value.value',
  ArrowFunctionExpression: 'value.value'
};
/**
 * Same as the above, but a function
 */
var mdxAccessorsSwitch = function mdxAccessorsSwitch(type) {
  switch (type) {
    case 'Literal':
      return mdxAccessors['Literal'];
    case 'ArrayExpression':
    case 'ObjectExpression':
    case 'ArrowFunctionExpression':
      return mdxAccessors['ArrayExpression'];
    default:
      return 'value';
  }
};

/**
 * Quickly check if type is `mdxJsxFlowElement`
 */
var isMdxElement = function isMdxElement(type) {
  return type === 'mdxJsxFlowElement';
};
var isLeafNode = function isLeafNode(node) {
  return typeof node.text === 'string';
};
var VOID_ELEMENTS = ['thematic_break', 'image'];
var BREAK_TAG = '\n';
/**
 * Slate to Markdown serialization.
 * From https://github.com/hanford/remark-slate
 */
function serialize$1(chunk, opts) {
  if (opts === void 0) {
    opts = {
      nodeTypes: defaultNodeTypes
    };
  }
  var _opts = opts,
    _opts$nodeTypes = _opts.nodeTypes,
    userNodeTypes = _opts$nodeTypes === void 0 ? defaultNodeTypes : _opts$nodeTypes,
    _opts$ignoreParagraph = _opts.ignoreParagraphNewline,
    ignoreParagraphNewline = _opts$ignoreParagraph === void 0 ? false : _opts$ignoreParagraph,
    _opts$listDepth = _opts.listDepth,
    listDepth = _opts$listDepth === void 0 ? 0 : _opts$listDepth;
  var text = chunk.text || '';
  var type = chunk.type || '';
  var nodeTypes = _extends({}, defaultNodeTypes, userNodeTypes, {
    heading: _extends({}, defaultNodeTypes.heading, userNodeTypes.heading)
  });
  var LIST_TYPES = [nodeTypes.ul_list, nodeTypes.ol_list];
  var children = text;
  if (!isLeafNode(chunk) && !isMdxElement(type)) {
    children = chunk.children.map(function (c) {
      var isList = !isLeafNode(c) ? LIST_TYPES.includes(c.type || '') : false;
      var selfIsList = LIST_TYPES.includes(chunk.type || '');
      // Links can have the following shape
      // In which case we don't want to surround
      // with break tags
      // {
      //  type: 'paragraph',
      //  children: [
      //    { text: '' },
      //    { type: 'link', children: [{ text: foo.com }]}
      //    { text: '' }
      //  ]
      // }
      var childrenHasLink = false;
      // Code snippets have the following shape
      // In which case we don't want to surround
      // with break tags
      // {
      //  type: 'paragraph',
      //  children: [
      //    { text: '' },
      //    { type: 'code_snippet', children: [{ text: "mycode" }]}
      //    { text: '' }
      //  ]
      // }
      var childrenHasCode = false;
      if (!isLeafNode(chunk) && Array.isArray(chunk.children)) {
        childrenHasLink = chunk.children.some(function (f) {
          return !isLeafNode(f) && f.type === nodeTypes.link;
        });
        childrenHasCode = chunk.children.some(function (f) {
          return !isLeafNode(f) && f.type === nodeTypes.code_snippet;
        });
      }
      // Lists now have an extra node, so to ensure they get information
      // about what type of list the items are part of
      // we pass down the type of their previous parent
      var parentType = type;
      if (type === 'list_item') {
        parentType = chunk.parentType || type;
      }
      return serialize$1(_extends({}, c, {
        parentType: parentType,
        language: chunk.language
      }), {
        nodeTypes: nodeTypes,
        // WOAH.
        // what we're doing here is pretty tricky, it relates to the block below where
        // we check for ignoreParagraphNewline and set type to paragraph.
        // We want to strip out empty paragraphs sometimes, but other times we don't.
        // If we're the descendant of a list, we know we don't want a bunch
        // of whitespace. If we're parallel to a link we also don't want
        // to respect neighboring paragraphs
        ignoreParagraphNewline: (ignoreParagraphNewline || isList || selfIsList || childrenHasLink || childrenHasCode) &&
        // if we have c.break, never ignore empty paragraph new line
        !c["break"],
        // track depth of nested lists so we can add proper spacing
        listDepth: LIST_TYPES.includes(c.type || '') ? listDepth + 1 : listDepth
      });
    }).join('');
  }
  // This is pretty fragile code, check the long comment where we iterate over children
  if (!ignoreParagraphNewline && (text === '' || text === '\n') && chunk.parentType === nodeTypes.paragraph) {
    type = nodeTypes.paragraph;
    children = BREAK_TAG;
  }
  if (children === '' && !VOID_ELEMENTS.find(function (k) {
    return nodeTypes[k] === type;
  }) && !isMdxElement(type)) return;
  // Never allow decorating break tags with rich text formatting,
  // this can malform generated markdown
  // Also ensure we're only ever applying text formatting to leaf node
  // level chunks, otherwise we can end up in a situation where
  // we try applying formatting like to a node like this:
  // "Text foo bar **baz**" resulting in "**Text foo bar **baz****"
  // which is invalid markup and can mess everything up
  if (children !== BREAK_TAG && isLeafNode(chunk)) {
    if (chunk.strikeThrough && chunk.bold && chunk.italic) {
      children = retainWhitespaceAndFormat(children, '~~***');
    } else if (chunk.bold && chunk.italic) {
      children = retainWhitespaceAndFormat(children, '***');
    } else {
      if (chunk.bold) {
        children = retainWhitespaceAndFormat(children, '**');
      }
      if (chunk.italic) {
        children = retainWhitespaceAndFormat(children, '_');
      }
      if (chunk.strikeThrough) {
        children = retainWhitespaceAndFormat(children, '~~');
      }
      if (chunk.code) {
        children = retainWhitespaceAndFormat(children, '`');
      }
    }
  }
  switch (type) {
    /**
     * Mess of duplicated code, but it works so fuck it
     */
    case nodeTypes.mdxJsxFlowElement:
      var escapeDoubleQuotes = function escapeDoubleQuotes(str) {
        return str.replace(/\\([\s\S])|(")/g, '\\$1$2'); // thanks @slevithan!
      };
      var mdxElement = chunk;
      var props;
      if (mdxElement.attributes.length > 0) {
        props = mdxElement.attributes.map(function (prop) {
          if (!isObject(prop.value)) {
            return prop.name + "=\"" + prop.value + "\"";
          }
          if (isObject(prop.value)) {
            var expressionType = prop.value.data.estree.body[0].expression.type;
            var v = get(prop, mdxAccessors[expressionType]);
            switch (expressionType) {
              // special case for literals because they can be strings
              case 'Literal':
                if (isString(v)) {
                  return prop.name + "=\"" + escapeDoubleQuotes(v) + "\"";
                } else {
                  return prop.name + "={" + (v === undefined ? 'undefined' : v) + "}";
                }
              default:
                return prop.name + "={" + (v === undefined ? 'undefined' : v) + "}";
            }
          }
        }).join(' ');
      }
      /**
       * Recursively check if the component has children. Components without children
       * usually have a {text: ''} array.
       * @param node
       * @returns
       */
      var checkForChildren = function checkForChildren(node) {
        // if node has more than one child then we assume it has children
        if (node && node.length > 1) {
          return true;
        }
        if (node && node.length === 1 && node[0].children) {
          return checkForChildren(node[0].children);
        }
        return node && node.length === 1 && node[0].text !== '';
      };
      var hasChildren = checkForChildren(mdxElement.reactChildren);
      if (hasChildren) {
        children = mdxElement.reactChildren.map(function (c) {
          var isList = !isLeafNode(c) ? LIST_TYPES.includes(c.type || '') : false;
          var selfIsList = LIST_TYPES.includes(mdxElement.type || '');
          // Links have the following shape
          // In which case we don't want to surround
          // with break tags
          // {
          //  type: 'paragraph',
          //  children: [
          //    { text: '' },
          //    { type: 'link', children: [{ text: "foo.com" }]}
          //    { text: '' }
          //  ]
          // }
          var childrenHasLink = false;
          // Code snippets have the following shape
          // In which case we don't want to surround
          // with break tags
          // {
          //  type: 'paragraph',
          //  children: [
          //    { text: '' },
          //    { type: 'code_snippet', children: [{ text: "mycode" }]}
          //    { text: '' }
          //  ]
          // }
          var childrenHasCode = false;
          if (!isLeafNode(chunk) && Array.isArray(chunk.children)) {
            childrenHasLink = chunk.children.some(function (f) {
              return !isLeafNode(f) && f.type === nodeTypes.link;
            });
            childrenHasCode = chunk.children.some(function (f) {
              return !isLeafNode(f) && f.type === nodeTypes.code_snippet;
            });
          }
          return serialize$1(_extends({}, c, {
            parentType: type
          }), {
            nodeTypes: nodeTypes,
            // WOAH.
            // what we're doing here is pretty tricky, it relates to the block below where
            // we check for ignoreParagraphNewline and set type to paragraph.
            // We want to strip out empty paragraphs sometimes, but other times we don't.
            // If we're the descendant of a list, we know we don't want a bunch
            // of whitespace. If we're parallel to a link we also don't want
            // to respect neighboring paragraphs
            ignoreParagraphNewline: (ignoreParagraphNewline || isList || selfIsList || childrenHasLink || childrenHasCode) &&
            // if we have c.break, never ignore empty paragraph new line
            !c["break"],
            // track depth of nested lists so we can add proper spacing
            listDepth: LIST_TYPES.includes(c.type || '') ? listDepth + 1 : listDepth
          });
        }).join('');
      }
      return "<" + mdxElement.name + (props ? " " + props + " " : '') + (hasChildren ? '' : '/') + ">\n" + BREAK_TAG + (hasChildren ? "" + children : '') + (hasChildren ? "</" + mdxElement.name + ">\n" + BREAK_TAG : '');
    case nodeTypes.heading[1]:
      return "# " + children + "\n" + BREAK_TAG;
    case nodeTypes.heading[2]:
      return "## " + children + "\n" + BREAK_TAG;
    case nodeTypes.heading[3]:
      return "### " + children + "\n" + BREAK_TAG;
    case nodeTypes.heading[4]:
      return "#### " + children + "\n" + BREAK_TAG;
    case nodeTypes.heading[5]:
      return "##### " + children + "\n" + BREAK_TAG;
    case nodeTypes.heading[6]:
      return "###### " + children + "\n" + BREAK_TAG;
    case nodeTypes.block_quote:
      // For some reason, marked is parsing blockquotes w/ one new line
      // as contiued blockquotes, so adding two new lines ensures that doesn't
      // happen
      return "> " + children + "\n\n" + BREAK_TAG;
    case nodeTypes.code_block:
      return "```" + (chunk.language || ''
      // @ts-ignore
      ) + "\n" + children + "\n```\n" + BREAK_TAG;
    case nodeTypes.link:
      return "[" + children + "](" + (chunk.url || '') + ")";
    case nodeTypes.code_snippet:
      return "`" + children + "`";
    case nodeTypes.image:
      return "![" + chunk.caption + "](" + (chunk.link || '') + " \"" + (chunk.title || '') + "\")\n" + BREAK_TAG;
    case nodeTypes.ol_list:
    case nodeTypes.ul_list:
      // if the list is a child of a list, we only want one newline at the end
      // weird code because sometimes lists are children of mdx elements
      var isNested = ['ol_list', 'ul_list'].includes(chunk.parentType || '');
      return "" + children + (isNested ? '' : BREAK_TAG);
    case nodeTypes.listItemText:
      // whether it's an ordered or unordered list
      var isOL = chunk && chunk.parentType === nodeTypes.ol_list;
      var spacer = '';
      for (var k = 0; listDepth > k; k++) {
        if (isOL) {
          // https://github.com/remarkjs/remark-react/issues/65
          spacer += '   ';
        } else {
          spacer += '  ';
        }
      }
      return "" + spacer + (isOL ? "1." : '-') + " " + children + '\n';
    case nodeTypes.paragraph:
      return "" + (children !== '\n' ? children + "\n" : '') + BREAK_TAG;
    case nodeTypes.thematic_break:
      return "---\n" + BREAK_TAG;
    default:
      return children;
  }
}
// This function handles the case of a string like this: "   foo   "
// Where it would be invalid markdown to generate this: "**   foo   **"
// We instead, want to trim the whitespace out, apply formatting, and then
// bring the whitespace back. So our returned string looks like this: "   **foo**   "
function retainWhitespaceAndFormat(string, format) {
  // we keep this for a comparison later
  var frozenString = string.trim();
  // children will be mutated
  var children = frozenString;
  // We reverse the right side formatting, to properly handle bold/italic and strikeThrough
  // formats, so we can create ~~***FooBar***~~
  var fullFormat = "" + format + children + reverseStr(format);
  // This conditions accounts for no whitespace in our string
  // if we don't have any, we can return early.
  if (children.length === string.length) {
    return fullFormat;
  }
  // if we do have whitespace, let's add our formatting around our trimmed string
  // We reverse the right side formatting, to properly handle bold/italic and strikeThrough
  // formats, so we can create ~~***FooBar***~~
  var formattedString = format + children + reverseStr(format);
  // and replace the non-whitespace content of the string
  return string.replace(frozenString, formattedString);
}
var reverseStr = function reverseStr(string) {
  return string.split('').reverse().join('');
};

function plugin(opts) {
  var compiler = function compiler(node) {
    return node.children.map(function (c) {
      return deserialize$1(c, opts);
    });
  };
  // @ts-ignore
  this.Compiler = compiler;
}

var CodeblockElement = function CodeblockElement(_ref) {
  var attributes = _ref.attributes,
    children = _ref.children,
    element = _ref.element;
  var editor = useSlateStatic();
  var path = ReactEditor.findPath(editor, element);
  var codeblockElement = element;
  /**
   * We default language to `plain` by default. This is to counteract an issue with the editor's
   * mdx parser. If a codeblock doesn't have a language and the user types something like `{text}`
   * it will cause the parser to crash with [this error](https://mdxjs.com/docs/troubleshooting-mdx/#could-not-parse-expression-with-acorn-unexpected-content-after-expression)
   *
   * Specifying any language stops the bug.
   */
  useEffect(function () {
    if (!codeblockElement.language) {
      Transforms.setNodes(editor, {
        language: 'plain'
      }, {
        at: path
      });
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
  useSelected();
  return React.createElement("div", _extends({}, attributes, {
    contentEditable: false
  }), React.createElement("div", null, React.createElement(Codeblock, {
    language: codeblockElement.language || 'plain',
    // @ts-ignore
    defaultValue: codeblockElement.children.map(function (c) {
      return c.text;
    }).join(''),
    onLanguageChange: function onLanguageChange(language) {
      Transforms.setNodes(editor, {
        language: language
      }, {
        at: path
      });
    },
    onValueChange: function onValueChange(code) {
      Transforms.insertText(editor, code, {
        at: path
      });
    }
  })), React.createElement("div", {
    style: {
      display: 'none'
    }
  }, children));
};

var ImageState;
(function (ImageState) {
  ImageState[ImageState["Uploaded"] = 0] = "Uploaded";
  ImageState[ImageState["New"] = 1] = "New";
})(ImageState || (ImageState = {}));
var ctxt = /*#__PURE__*/React.createContext({});

/**
 * Converts a `base64Image` to a blob and returns it
 */
var base64ToBlob = /*#__PURE__*/function () {
  var _ref = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee(base64Image) {
    var byteCharacters, byteNumbers, i, byteArray, blob;
    return _regeneratorRuntime().wrap(function _callee$(_context) {
      while (1) switch (_context.prev = _context.next) {
        case 0:
          //   const byteCharacters = Buffer.from(data, "base64").toString();
          byteCharacters = atob(base64Image);
          byteNumbers = new Array(byteCharacters.length);
          for (i = 0; i < byteCharacters.length; i++) {
            byteNumbers[i] = byteCharacters.charCodeAt(i);
          }
          byteArray = new Uint8Array(byteNumbers);
          blob = new Blob([byteArray], {
            type: "image/png"
          });
          return _context.abrupt("return", blob);
        case 6:
        case "end":
          return _context.stop();
      }
    }, _callee);
  }));
  return function base64ToBlob(_x) {
    return _ref.apply(this, arguments);
  };
}();

/**
 * A generic error component
 */
var GenericError = function GenericError(_ref) {
  var title = _ref.title,
    children = _ref.children;
  return React.createElement("div", {
    role: "alert",
    className: "px-2 py-2 rounded-md bg-destructive/10 text-destructive not-prose"
  }, React.createElement("p", {
    className: "text-sm font-medium"
  }, title), React.createElement("p", {
    className: "text-sm whitespace-normal leading-[140%]"
  }, children));
};

var fileToBlob = /*#__PURE__*/function () {
  var _ref = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee(file) {
    return _regeneratorRuntime().wrap(function _callee$(_context) {
      while (1) switch (_context.prev = _context.next) {
        case 0:
          _context.t0 = Blob;
          _context.t1 = Uint8Array;
          _context.next = 4;
          return file.arrayBuffer();
        case 4:
          _context.t2 = _context.sent;
          _context.t3 = new _context.t1(_context.t2);
          _context.t4 = [_context.t3];
          _context.t5 = {
            type: file.type
          };
          return _context.abrupt("return", new _context.t0(_context.t4, _context.t5));
        case 9:
        case "end":
          return _context.stop();
      }
    }, _callee);
  }));
  return function fileToBlob(_x) {
    return _ref.apply(this, arguments);
  };
}();
/**
 * Returns a page's images and methods related to those images.
 */
var useImages = function useImages() {
  var _useContext = useContext(ctxt),
    imageTree = _useContext.imageTree,
    _useContext$images = _useContext.images,
    images = _useContext$images[0],
    setImages = _useContext$images[1];
  var _useCMS = useCMS(),
    backend = _useCMS.backend;
  var _backend$repo$split = backend.repo.split('/'),
    owner = _backend$repo$split[0],
    repo = _backend$repo$split[1];
  /**
   * Move image from sha fileTree to the CMS' local state
   * @param filename
   */
  var loadImage = /*#__PURE__*/function () {
    var _ref2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee2(filename) {
      var foundImage, blob;
      return _regeneratorRuntime().wrap(function _callee2$(_context2) {
        while (1) switch (_context2.prev = _context2.next) {
          case 0:
            /**
             * We find this image within the repo's image tree.
             * `imageTree` contains all the base64 files, so we just need to match filename to filename
             * then load the base64's to state.
             */
            foundImage = imageTree.find(function (i) {
              return filename.includes(i.path);
            });
            if (!foundImage) {
              _context2.next = 11;
              break;
            }
            _context2.t1 = base64ToBlob;
            _context2.next = 5;
            return getGithubFileBase64(owner, repo, foundImage.sha);
          case 5:
            _context2.t2 = _context2.sent;
            _context2.next = 8;
            return (0, _context2.t1)(_context2.t2);
          case 8:
            _context2.t0 = _context2.sent;
            _context2.next = 12;
            break;
          case 11:
            _context2.t0 = undefined;
          case 12:
            blob = _context2.t0;
            return _context2.abrupt("return", {
              // the full markdown string before we separate it
              markdown: '',
              // all these images were previously uploaded
              state: ImageState.Uploaded,
              // the file's url
              filename: filename,
              // the image's seo title
              title: '',
              // alt text associated with the image
              alttext: '',
              // the blob url
              blobUrl: blob ? URL.createObjectURL(blob) : undefined,
              blob: blob
            });
          case 14:
          case "end":
            return _context2.stop();
        }
      }, _callee2);
    }));
    return function loadImage(_x2) {
      return _ref2.apply(this, arguments);
    };
  }();
  /**
   * Add a new image to to the images state
   * @param file - the file to add to the state
   */
  var addImage = /*#__PURE__*/function () {
    var _ref3 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee3(file) {
      var blob, encodedFileName, image;
      return _regeneratorRuntime().wrap(function _callee3$(_context3) {
        while (1) switch (_context3.prev = _context3.next) {
          case 0:
            _context3.next = 2;
            return fileToBlob(file);
          case 2:
            blob = _context3.sent;
            // this has to be encoded or markdown serialises the image weird
            encodedFileName = encodeURIComponent(file.name);
            image = {
              markdown: encodedFileName,
              // this is to identify which images need to be uploaded once the page has been saved
              state: ImageState.New,
              filename: "" + encodedFileName,
              blobUrl: URL.createObjectURL(blob),
              blob: blob
            };
            setImages([].concat(images, [image]));
            return _context3.abrupt("return", image);
          case 7:
          case "end":
            return _context3.stop();
        }
      }, _callee3);
    }));
    return function addImage(_x3) {
      return _ref3.apply(this, arguments);
    };
  }();
  /**
   * Remove image from images state. NOTE: Deleting an image does not remove it from the repo.
   * That should be done separately.
   * @param filename - the public url of the picture e.g. /images/my-pic.png
   */
  var removeImage = function removeImage(filename) {
    var newImages = images.filter(function (image) {
      return image.filename.includes(filename);
    });
    setImages(newImages);
  };
  /**
   * Duplicated code for removing and then adding an image
   * @param filename - the public url of the picture e.g. /images/my-pic.png
   * @param file - the file to add to the state
   * @returns
   */
  var updateImage = /*#__PURE__*/function () {
    var _ref4 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee4(filename, file) {
      var newImages, blob, encodedFileName, image;
      return _regeneratorRuntime().wrap(function _callee4$(_context4) {
        while (1) switch (_context4.prev = _context4.next) {
          case 0:
            newImages = images.filter(function (image) {
              return image.filename.includes(filename);
            });
            _context4.next = 3;
            return fileToBlob(file);
          case 3:
            blob = _context4.sent;
            // this has to be encoded or markdown serialises the image weird
            encodedFileName = encodeURIComponent(file.name);
            image = {
              markdown: encodedFileName,
              // this is to identify which images need to be uploaded once the page has been saved
              state: ImageState.New,
              filename: "" + encodedFileName,
              blobUrl: URL.createObjectURL(blob),
              blob: blob
            };
            setImages([].concat(newImages, [image]));
            return _context4.abrupt("return", image);
          case 8:
          case "end":
            return _context4.stop();
        }
      }, _callee4);
    }));
    return function updateImage(_x4, _x5) {
      return _ref4.apply(this, arguments);
    };
  }();
  return {
    imageTree: imageTree,
    images: images,
    loadImage: loadImage,
    setImages: setImages,
    addImage: addImage,
    removeImage: removeImage,
    updateImage: updateImage
  };
};
var ImagesContextProvider = ctxt.Provider;
/**
 * Context containing all images in uploads folder
 */
var ImagesProvider = function ImagesProvider(_ref5) {
  var children = _ref5.children;
  var images = React.useState([]);
  var imagesRef = React.useRef([]);
  var _useGetGithubImages = useGetGithubImages(),
    isLoading = _useGetGithubImages.isLoading,
    data = _useGetGithubImages.data,
    isError = _useGetGithubImages.isError;
  if (isError) return React.createElement("div", {
    className: "w-screen h-screen flex items-center justify-center"
  }, React.createElement(GenericError, {
    title: "Could not load content from Github."
  }, "Are you sure your configuration is correct?"));
  if (isLoading) {
    return React.createElement(Loader, null);
  }
  return React.createElement(ImagesContextProvider, {
    value: {
      imageTree: data.data.tree,
      images: images,
      imagesRef: imagesRef
    }
  }, children);
};

function useOnScreen(ref, rootMargin) {
  if (rootMargin === void 0) {
    rootMargin = '0px';
  }
  // State and setter for storing whether element is visible
  var _useState = useState(false),
    isIntersecting = _useState[0],
    setIntersecting = _useState[1];
  useEffect(function () {
    var currentRef = ref.current;
    var observer = new IntersectionObserver(function (_ref) {
      var entry = _ref[0];
      // Update our state when observer callback fires
      setIntersecting(entry.isIntersecting);
    }, {
      rootMargin: rootMargin
    });
    if (ref.current) {
      observer.observe(currentRef);
    }
    return function () {
      observer.unobserve(currentRef);
    };
  }, []); // Empty array ensures that effect is only run on mount and unmount
  return isIntersecting;
}

/**
 * Displays an image from local state, if the image has not yet been loaded to state it loads it and displays it
 */
var Image$1 = function Image(_ref) {
  var _images$find;
  var path = _ref.path;
  var _useImages = useImages(),
    images = _useImages.images,
    loadImage = _useImages.loadImage,
    setImages = _useImages.setImages;
  var imageBlobUrl = path ? (_images$find = images.find(function (i) {
    return i.filename.includes(path);
  })) == null ? void 0 : _images$find.blobUrl : undefined;
  var ref = React.useRef();
  var onScreen = useOnScreen(ref);
  // if the image isn't currently loaded into state we wait until its shown on screen and then load it
  React.useEffect(function () {
    var doLoad = /*#__PURE__*/function () {
      var _ref2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee() {
        var loadedImage;
        return _regeneratorRuntime().wrap(function _callee$(_context) {
          while (1) switch (_context.prev = _context.next) {
            case 0:
              if (!path) {
                _context.next = 5;
                break;
              }
              _context.next = 3;
              return loadImage(path);
            case 3:
              loadedImage = _context.sent;
              setImages(function (i) {
                return [].concat(i, [loadedImage]);
              });
            case 5:
            case "end":
              return _context.stop();
          }
        }, _callee);
      }));
      return function doLoad() {
        return _ref2.apply(this, arguments);
      };
    }();
    if (imageBlobUrl === undefined && onScreen && path) {
      doLoad();
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [imageBlobUrl, onScreen]);
  return React.createElement("div", {
    ref: ref,
    style: {
      backgroundImage: "url(" + imageBlobUrl + ")",
      height: '12rem',
      backgroundSize: 'cover',
      backgroundPosition: 'center',
      width: '100%'
    }
  });
};

/**
 * An interface that allows browsing, selecting and uploading new images
 */
var ImageSelector = function ImageSelector(_ref) {
  var onImageSelect = _ref.onImageSelect;
  var _useImages = useImages(),
    imageTree = _useImages.imageTree;
  return React.createElement(React.Fragment, null, React.createElement("div", {
    className: "relative grid gap-2 grid-cols-1 md:grid-cols-3"
  }, imageTree.map(function (i) {
    return React.createElement(ImageCard, {
      onImageSelect: onImageSelect,
      key: i.path,
      image: i
    });
  })));
};
var ImageCard = function ImageCard(_ref2) {
  var image = _ref2.image,
    onImageSelect = _ref2.onImageSelect;
  var _useCMS = useCMS(),
    public_folder = _useCMS.public_folder;
  return React.createElement(Button, {
    variant: "outline",
    className: "h-auto flex flex-col truncate !items-start",
    onClick: function onClick() {
      // return the full path to the public image
      onImageSelect == null || onImageSelect(public_folder + "/" + image.path);
    }
  }, React.createElement(Image$1, {
    path: image.path
  }), React.createElement("div", {
    className: "truncate max-w-full px-1 py-2"
  }, React.createElement("h2", {
    className: "text-lg font-medium max-w-full truncate"
  }, image.path)));
};

/**
 * Renders a button that allows uploading images to github. On success, refreshes the local cache with the new data.
 */
var ImageUploadButton = function ImageUploadButton() {
  var _useCMS = useCMS(),
    media_folder = _useCMS.media_folder;
  var uploadRef = React.useRef();
  var _useUploadFile = useUploadFile(),
    mutate = _useUploadFile.mutate,
    isLoading = _useUploadFile.isLoading;
  var client = useQueryClient();
  return React.createElement("div", null, React.createElement("input", {
    // @ts-ignore
    ref: uploadRef,
    type: "file",
    style: {
      visibility: 'hidden',
      display: 'none'
    },
    accept: "video/*, image/*",
    onChange: function () {
      var _onChange = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee(e) {
        var _e$target$files;
        var file, id;
        return _regeneratorRuntime().wrap(function _callee$(_context) {
          while (1) switch (_context.prev = _context.next) {
            case 0:
              if (e.target.files && ((_e$target$files = e.target.files) == null ? void 0 : _e$target$files.length) > 0) {
                file = e.target.files[0];
                id = toast.loading("Uploading " + file.name + "...");
                mutate({
                  filename: file.name,
                  file: file
                }, {
                  onSuccess: function onSuccess(newImage) {
                    toast.success(file.name + " uploaded!", {
                      id: id
                    });
                    // instead of re-fetching images we just add the returned data (`path` and `sha`) to our cache
                    client.setQueryData(queryKeys.github.collection(media_folder).queryKey,
                    // @ts-ignore
                    function (oldData) {
                      // image might have already been uploaded, so we remove duplicates
                      var uniqueTree = Array.from(new Map([newImage].concat(oldData.data.tree).map(function (item) {
                        return [item['path'], item];
                      })).values());
                      return _extends({}, oldData, {
                        data: _extends({}, oldData.data, {
                          tree: uniqueTree
                        })
                      });
                    });
                  },
                  onError: function onError() {
                    toast.error("There was a problem uploading " + file.name, {
                      id: id
                    });
                  }
                });
              }
              // reset input
              uploadRef.current.value = '';
            case 2:
            case "end":
              return _context.stop();
          }
        }, _callee);
      }));
      function onChange(_x) {
        return _onChange.apply(this, arguments);
      }
      return onChange;
    }()
  }), React.createElement(Button, {
    disabled: isLoading,
    // loading={isLoading}
    onClick: function onClick() {
      uploadRef.current.click();
    }
  }, "Upload"));
};

var StyledImageButton = /*#__PURE__*/cva('w-full rounded-md border border-input transition-colors bg-background shadow-sm hover:bg-accent hover:text-accent-foreground my-1 cursor-pointer p-0 overflow-hidden relative', {
  variants: {
    selected: {
      "true": 'outline outline-2 outline-offset-4 outline-primary/80'
    }
  }
});
var ImagePicker = function ImagePicker(_ref) {
  var _images$find, _images$find2;
  var image = _ref.image,
    selected = _ref.selected,
    onImageChange = _ref.onImageChange,
    _ref$imageAltText = _ref.imageAltText,
    imageAltText = _ref$imageAltText === void 0 ? false : _ref$imageAltText,
    _ref$imageTitle = _ref.imageTitle,
    imageTitle = _ref$imageTitle === void 0 ? false : _ref$imageTitle;
  var _useImages = useImages(),
    images = _useImages.images,
    loadImage = _useImages.loadImage,
    setImages = _useImages.setImages;
  var _useCMS = useCMS(),
    public_folder = _useCMS.public_folder;
  var imageBlobUrl = image ? (_images$find = images.find(function (i) {
    return i.filename.includes(image);
  })) == null ? void 0 : _images$find.blobUrl : undefined;
  // if the image isn't currently loaded into state we wait until its shown on screen and then load it
  React.useEffect(function () {
    var doLoad = /*#__PURE__*/function () {
      var _ref2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee() {
        var loadedImage;
        return _regeneratorRuntime().wrap(function _callee$(_context) {
          while (1) switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return loadImage(image);
            case 2:
              loadedImage = _context.sent;
              setImages(function (i) {
                return [].concat(i, [loadedImage]);
              });
            case 4:
            case "end":
              return _context.stop();
          }
        }, _callee);
      }));
      return function doLoad() {
        return _ref2.apply(this, arguments);
      };
    }();
    if (imageBlobUrl === undefined && image) {
      doLoad();
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [imageBlobUrl, image]);
  return React.createElement(Popover, null, React.createElement(PopoverContent, null, React.createElement("div", {
    className: "relative mb-2"
  }, React.createElement("div", {
    className: "flex flex-col gap-2"
  }, imageTitle !== false && React.createElement("div", {
    className: "flex flex-col gap-1"
  }, React.createElement(Label, {
    htmlFor: "image-title"
  }, "Image title"), React.createElement(Input, {
    name: "image-title",
    defaultValue: imageTitle == null ? void 0 : imageTitle.defaultValue,
    onChange: function onChange(e) {
      var value = e.target.value;
      imageTitle == null || imageTitle.onImageTitleChange(value);
    }
  })), imageAltText !== false && React.createElement("div", {
    className: "flex flex-col gap-1"
  }, React.createElement(Label, {
    htmlFor: "image-alt"
  }, "Image alt text"), React.createElement(Input, {
    name: "image-alt",
    defaultValue: imageAltText.defaultValue,
    onChange: function onChange(e) {
      var value = e.target.value;
      imageAltText == null || imageAltText.onImageAltTextChange(value);
    }
  })), React.createElement("div", {
    className: "flex flex-col gap-1"
  }, React.createElement(Label, {
    htmlFor: "image-file"
  }, "Upload image"), React.createElement(Modal, {
    title: 'Select media',
    className: "min-w-screen min-h-screen md:min-w-[968px] md:min-h-[524px]",
    headingContent: React.createElement("div", {
      className: "relative flex-1 flex justify-end border-b border-border mb-2 pb-2"
    }, React.createElement(ImageUploadButton, null)),
    description: function description(_open, setOpen) {
      return React.createElement("div", {
        className: "p-4"
      }, React.createElement(ImageSelector, {
        onImageSelect: function onImageSelect(filename) {
          setOpen(false);
          onImageChange == null || onImageChange(filename);
        }
      }));
    }
  }, React.createElement(Button, {
    type: "button"
  }, "Select image")))))), React.createElement(PopoverTrigger, {
    asChild: true
  }, React.createElement("button", {
    className: StyledImageButton({
      selected: selected
    }),
    contentEditable: false
  }, React.createElement(PopoverAnchor, {
    style: {
      position: 'absolute',
      top: '50%',
      left: '50%',
      height: !image ? '2em' : '6em',
      width: !image ? '2em' : '6em',
      background: 'transparent',
      zIndex: 1000,
      transform: 'translate(-50%, -50%)'
    }
  }), image ? React.createElement("div", {
    className: "block max-w-full min-h-80 bg-cover bg-center",
    style: {
      backgroundImage: "url(" + (image ? // needs to match the url as it is in markdown
      // e.g. images/filename.png
      (_images$find2 = images.find(function (i) {
        return (public_folder + "/" + i.filename).includes("" + image);
      })) == null ? void 0 : _images$find2.blobUrl : '') + ")"
    }
  }) : React.createElement("div", {
    className: "p-4"
  }, React.createElement("div", {
    className: "flex flex-row gap-2 items-center"
  }, React.createElement(ImageSquare, {
    size: 16,
    weight: "bold"
  }), React.createElement(FakeP, null, "Add an image"))))));
};
var Controlled$1 = function Controlled(props) {
  var form = useFormContext();
  var _useFormItem = useFormItem(),
    rules = _useFormItem.rules,
    name = _useFormItem.name;
  var _useController = useController({
      name: name,
      control: form.control,
      rules: rules
    }),
    _useController$field = _useController.field,
    formOnchange = _useController$field.onChange,
    value = _useController$field.value;
  return React.createElement(ImagePicker, _extends({}, props, {
    onImageChange: formOnchange,
    image: value
  }));
};
ImagePicker.Controlled = Controlled$1;

var Image = function Image(_ref) {
  var attributes = _ref.attributes,
    children = _ref.children,
    element = _ref.element;
  var editor = useSlateStatic();
  var path = ReactEditor.findPath(editor, element);
  var selected = useSelected();
  return React.createElement("div", _extends({}, attributes), children, React.createElement(ImagePicker, {
    image: element.link,
    selected: selected,
    imageTitle: {
      defaultValue: element.title,
      onImageTitleChange: function onImageTitleChange(value) {
        Transforms.setNodes(editor, {
          title: value
        }, {
          at: path
        });
      }
    },
    imageAltText: {
      defaultValue: element.caption,
      onImageAltTextChange: function onImageAltTextChange(value) {
        Transforms.setNodes(editor, {
          caption: value
        }, {
          at: path
        });
      }
    },
    onImageChange: function onImageChange(filename) {
      Transforms.setNodes(editor, {
        link: filename
      }, {
        at: path
      });
    }
  }));
};

/**
 * Edits any string prop on an MDX slate element
 */
var editAttributes = function editAttributes(
/**
 * Id of the node we want to edit
 */
path,
/**
 * The entire deserialized MDX element
 */
mdxElement,
/**
 * The specific prop we're editing
 */
attribute,
/**
 * The slate editor instance
 */
editor) {
  // find the index of the attribute
  var index = mdxElement.attributes.map(function (m) {
    return m.name;
  }).indexOf(attribute.name);
  // copy the attributes array
  var newAttributes = [].concat(mdxElement.attributes);
  // if the user has changed their schema since the last time this component was written
  // then the attribute won't exist and index will be -1
  // in that case we want to add the new attribute outright
  if (index >= 0) {
    // change just this value
    newAttributes[index] = _extends({}, attribute);
  } else {
    // push it to the end of the array
    newAttributes = [].concat(newAttributes, [attribute]);
  }
  Transforms.setNodes(editor, {
    attributes: newAttributes
  }, {
    at: path
  });
};

/**
 * Edits a component's children
 */
var editReactChildren = function editReactChildren(
/**
 * Id of the node we want to edit
 */
path,
/**
 * The entire deserialized MDX element
 */
mdxElement,
/**
 * The slate editor instance
 */
editor,
/**
 * The value we'll change the children to
 */
value) {
  Transforms.setNodes(editor, {
    // ...mdxElement,
    reactChildren: value
  }, {
    at: path
  });
};

/**
 *
 */
var ComponentEditor = function ComponentEditor(props) {
  var element = props.element;
  var editor = useSlateStatic();
  var mdxElement = element;
  var path = ReactEditor.findPath(editor, element);
  var _useCMS = useCMS(),
    getSchema = _useCMS.getSchema;
  var componentSchema = getSchema(mdxElement.name);
  var hasChildren = Boolean(componentSchema == null ? void 0 : componentSchema.find(function (c) {
    return c.name === 'children';
  }));
  // we need to consider situations in which a component is set up to have children
  // but was saved without having any
  //
  // slate is weird, and if we don't initialise the value that we want to change it'll
  // break as soon as we try to edit children
  //
  // this returns an empty paragraph only if the object accepts children but its children don't exist
  //
  // could be flaky, needs testing 🤷‍♂️
  var reactChildren = React.useMemo(function () {
    // if component has children in schema
    if (hasChildren) {
      var node = Node.get(editor, path);
      // but has no children in the editor
      var hasSlateChildren = node.reactChildren.some(
      // @ts-ignore
      function (c) {
        return c.type !== undefined;
      });
      if (!hasSlateChildren) {
        return [{
          // @ts-ignore
          type: 'paragraph',
          children: [{
            text: ''
          }]
        }];
      }
      return mdxElement.reactChildren;
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [hasChildren]);
  return React.createElement(React.Fragment, null, React.createElement("div", {
    className: "flex flex-col gap-2",
    "data-testid": "component-editor"
  }, componentSchema == null ? void 0 : componentSchema.map(function (c) {
    // children are handled differently
    // markdown can only be used for children
    if (c.name === 'children' || c.type.widget === 'markdown') {
      return;
    }
    // match prop to schema from settings
    var prop = _extends({}, mdxElement.attributes.find(function (a) {
      return a.name === c.name;
    }));
    // if prop is undefined it means the schema does not match the prop and we stop the component here
    if (prop === undefined) {
      return React.createElement("div", {
        key: c.name,
        className: "bg-destructive/10 p-2 rounded text-destructive text-sm"
      }, "There was an error with your schema and a control for ", c.name, ' ', "could not be rendered.");
    }
    var value;
    // if the user has changed their schema since the last time this component was written
    // `prop` will be `{}`
    // we catch this edge case by generating the attribute on the fly
    if (!prop.value) {
      prop = generateComponentProp(c);
    }
    /**
     * Here we convert deserialized values to values we can use in our components
     */
    if (isString(prop.value)) {
      // if the value is a string, then it's easy
      value = prop.value;
    } else {
      var _prop$value;
      // if it's not a string then it'll be a bit more complex
      if ((_prop$value = prop.value) != null && _prop$value.value) {
        try {
          var _prop$value2;
          // if it's an array, a number, a boolean then we can just JSON.parse it
          value = JSON.parse((_prop$value2 = prop.value) == null ? void 0 : _prop$value2.value);
        } catch (err) {
          var _prop$value3;
          // however in some cases it can be a JS object
          // {
          //   Test: "something"
          // }
          // which fails when parsed
          // in that case we just take the object as-is
          // since it'll most likely just be edited by a code block
          value = (_prop$value3 = prop.value) == null ? void 0 : _prop$value3.value;
        }
      }
    }
    switch (c.type.widget) {
      case 'date':
      case 'datetime':
      case 'string':
        var getInputType = function getInputType() {
          switch (c.type.widget) {
            case 'date':
              return 'date';
            case 'datetime':
              return 'datetime-local';
            default:
            case 'string':
              return 'text';
          }
        };
        return React.createElement("div", {
          className: "flex flex-col gap-1",
          key: c.name
        }, React.createElement(Label, {
          htmlFor: "input-string-prop-" + c.name
        }, c.label), React.createElement(Input, {
          type: getInputType(),
          name: "string-prop-" + c.name,
          defaultValue: value,
          onChange: function onChange(e) {
            var newObj = cloneDeep$1(prop);
            set(newObj, 'value', e.target.value);
            editAttributes(path, mdxElement, newObj, editor);
          }
        }));
      case 'boolean':
        return React.createElement("div", {
          className: "flex flex-col gap-1",
          key: c.name
        }, React.createElement(Label, {
          htmlFor: "switch-boolean-prop-" + c.name
        }, c.label), React.createElement(Switch, {
          name: "boolean-prop-" + c.name,
          defaultChecked: value,
          onCheckedChange: function onCheckedChange(val) {
            var newObj = cloneDeep$1(prop);
            set(newObj, mdxAccessors[prop.value.data.estree.body[0].expression.type], val);
            editAttributes(path, mdxElement, newObj, editor);
          }
        }));
      case 'select':
        var options = c.type.options.map(function (v) {
          return {
            value: v,
            label: String(v)
          };
        });
        // different stuff depending if the component allows multiple values or not
        if (c.type.multiple) {
          var selectVal = options.filter(function (o) {
            var _value;
            return (_value = value) == null ? void 0 : _value.includes(o.value);
          });
          return React.createElement("div", {
            className: "flex flex-col gap-1",
            key: c.name
          }, React.createElement(Label, {
            htmlFor: "combobox-select-prop-" + c.name
          }, c.label), React.createElement(Combobox.Multi, {
            options: options,
            defaultValue: selectVal.map(function (v) {
              return v.value;
            }),
            onValueChange: function onValueChange(val) {
              if (val) {
                var newObj = cloneDeep$1(prop);
                set(newObj, mdxAccessors[prop.value.data.estree.body[0].expression.type], JSON.stringify(val.map(function (v) {
                  return v.value;
                })).replaceAll('\\', ''));
                editAttributes(path, mdxElement, newObj, editor);
              }
            }
          }));
        } else {
          var _selectVal = options.find(function (o) {
            return o.value === value;
          });
          return React.createElement("div", {
            className: "flex flex-col gap-1",
            key: c.name
          }, React.createElement(Label, {
            htmlFor: "combobox-select-prop-" + c.name
          }, c.label), React.createElement(Combobox, {
            id: "combobox-select-prop-" + c.name,
            options: options,
            defaultValue: _selectVal == null ? void 0 : _selectVal.value,
            onValueChange: function onValueChange(val) {
              var _prop$value$data;
              var newObj = cloneDeep$1(prop);
              set(newObj, mdxAccessorsSwitch((_prop$value$data = prop.value.data) == null ? void 0 : _prop$value$data.estree.body[0].expression.type), val == null ? void 0 : val.value);
              editAttributes(path, mdxElement, newObj, editor);
            }
          }));
        }
      case 'json':
        return React.createElement("div", {
          className: "flex flex-col gap-1",
          key: c.name
        }, React.createElement(Label, {
          htmlFor: "select-prop-" + c.name
        }, c.label), React.createElement(Codeblock$1, {
          defaultValue: value,
          hideLanguageSelect: true,
          language: "json",
          onValueChange: function onValueChange(code) {
            var newObj = cloneDeep$1(prop);
            set(newObj, mdxAccessors[prop.value.data.estree.body[0].expression.type], code);
            editAttributes(path, mdxElement, newObj, editor);
          }
        }));
      case 'image':
        return React.createElement("div", {
          className: "flex flex-col gap-1",
          key: c.name
        }, React.createElement(Label, {
          htmlFor: "select-prop-" + c.name
        }, c.label), React.createElement(ImagePicker, {
          image: value,
          onImageChange: function onImageChange(src) {
            console.log('newImage', src);
            var newObj = cloneDeep$1(prop);
            set(newObj, 'value', src);
            editAttributes(path, mdxElement, newObj, editor);
          }
        }));
    }
  }), hasChildren && React.createElement("div", {
    className: "flex flex-col gap-1"
  }, React.createElement(Label, {
    htmlFor: "component-children"
  }, "Children"), React.createElement(Editor, {
    value: reactChildren,
    onChange: function onChange(val) {
      return editReactChildren(path, mdxElement, editor, val);
    }
  }))));
};

var StyledMdxButton = /*#__PURE__*/cva('w-full rounded-md border border-input transition-colors bg-background shadow-sm hover:bg-accent hover:text-accent-foreground my-1 cursor-pointer p-0 overflow-hidden relative', {
  variants: {
    selected: {
      "true": 'outline outline-2 outline-offset-4 outline-primary/80'
    }
  }
});
/**
 * A slate element that represents a React object. Can be clicked.
 */
var MdxElement = function MdxElement(props) {
  var attributes = props.attributes,
    children = props.children,
    element = props.element;
  var mdxElement = element;
  var _useEditorDepth = useEditorDepth(),
    addElement = _useEditorDepth.addElement,
    removeElement = _useEditorDepth.removeElement,
    getDepth = _useEditorDepth.getDepth,
    depthArray = _useEditorDepth.depthArray;
  var thisDepth = getDepth(mdxElement.id);
  var selected = useSelected();
  return React.createElement("div", _extends({}, attributes), children, React.createElement(Panel, {
    id: "component",
    index: thisDepth,
    depth: thisDepth,
    depthOfType: thisDepth,
    length: depthArray.length,
    lengthOfType: depthArray.length,
    rootProps: {
      onOpenChange: function onOpenChange(open) {
        if (open) {
          addElement(mdxElement.id);
        } else {
          removeElement(mdxElement.id);
        }
      }
    },
    title: 'Edit component',
    description: function description() {
      return React.createElement(ErrorBoundary, null, React.createElement("div", {
        className: "p-4"
      }, React.createElement(ComponentEditor, _extends({}, props))));
    }
  }, React.createElement("button", {
    "data-testid": mdxElement.name + "-block",
    className: StyledMdxButton({
      selected: selected
    }),
    contentEditable: false
  }, React.createElement("div", {
    className: "p-4"
  }, React.createElement("div", {
    className: "flex flex-row gap-2 items-center"
  }, React.createElement(BracketsSquare, {
    size: 16,
    weight: "bold"
  }), React.createElement(FakeP, null, mdxElement.name, " Block"))))));
};

/**
 * Handles link elements in-editor. When clicked a popover appears which allows typing a link
 */
var LinkElement = function LinkElement(_ref) {
  var attributes = _ref.attributes,
    element = _ref.element,
    children = _ref.children;
  var selected = useSelected();
  var editor = useSlateStatic();
  var path = ReactEditor.findPath(editor, element);
  return React.createElement(Popover, null, React.createElement(PopoverContent, null, React.createElement("div", {
    className: "flex flex-1"
  }, React.createElement("div", {
    className: "flex flex-col gap-1 flex-1"
  }, React.createElement(Label, {
    htmlFor: "image-title"
  }, "Url"), React.createElement(Input, {
    name: "image-title",
    defaultValue: element.url,
    onChange: function onChange(e) {
      var value = e.target.value;
      Transforms.setNodes(editor, {
        url: value
      }, {
        at: path
      });
    }
  })))), React.createElement(PopoverTrigger, null, React.createElement("a", _extends({
    className: StyledLink({
      selected: selected
    })
  }, attributes, {
    href: element.url
  }), React.createElement(InlineChromiumBugfix, null), children, React.createElement(InlineChromiumBugfix, null))));
};
// Put this at the start and end of an inline component to work around this Chromium bug:
// https://bugs.chromium.org/p/chromium/issues/detail?id=1249405
var InlineChromiumBugfix = function InlineChromiumBugfix() {
  return React.createElement("span", {
    className: "text-[0px]"
  }, "$", String.fromCodePoint(160) /* Non-breaking space */);
};
var StyledLink = /*#__PURE__*/cva('font-medium text-blue-500', {
  variants: {
    selected: {
      "true": 'outline-none ring border-blue-500 rounded'
    }
  }
});

var Element = function Element(props) {
  var attributes = props.attributes,
    children = props.children,
    element = props.element;
  var style = {};
  switch (element.type) {
    case defaultNodeTypes.link:
      return React.createElement(LinkElement, _extends({}, props));
    case defaultNodeTypes.code_snippet:
      return React.createElement("code", _extends({
        className: "px-[0.2em] py-[0.4em] m-0 text-[85%] whitespace-break-spaces bg-secondary rounded text-red-500"
      }, props.attributes), React.createElement(InlineChromiumBugfix, null), props.children, React.createElement(InlineChromiumBugfix, null));
    case defaultNodeTypes.image:
      // @ts-ignore
      // eslint-disable-next-line jsx-a11y/alt-text
      return React.createElement(Image, _extends({}, props));
    case defaultNodeTypes.mdxJsxFlowElement:
      return React.createElement(MdxElement, _extends({}, props));
    case defaultNodeTypes.code_block:
      return React.createElement(CodeblockElement, _extends({}, props));
    case defaultNodeTypes.block_quote:
      return React.createElement("blockquote", _extends({
        className: "border-l-4 pl-4 border-primary",
        style: style
      }, attributes), children);
    case defaultNodeTypes.ul_list:
      return React.createElement("ul", _extends({
        className: "ml-4 flex-1",
        style: style
      }, attributes), children);
    case defaultNodeTypes.heading[1]:
      return React.createElement("h1", _extends({
        className: "text-4xl"
      }, attributes), children);
    case defaultNodeTypes.heading[2]:
      return React.createElement("h2", _extends({
        className: "text-3xl"
      }, attributes), children);
    case defaultNodeTypes.heading[3]:
      return React.createElement("h3", _extends({
        className: "text-2xl"
      }, attributes), children);
    case defaultNodeTypes.heading[4]:
      return React.createElement("h4", _extends({
        className: "text-xl"
      }, attributes), children);
    case defaultNodeTypes.heading[5]:
      return React.createElement("h5", _extends({
        className: "lg"
      }, attributes), children);
    case defaultNodeTypes.heading[6]:
      return React.createElement("h6", _extends({
        className: "base"
      }, attributes), children);
    case defaultNodeTypes.listItem:
      return React.createElement("li", _extends({
        className: "flex-1",
        style: style
      }, attributes), children);
    case defaultNodeTypes.ol_list:
      return React.createElement("ol", _extends({
        className: "ml-4 flex-1",
        style: _extends({}, style)
      }, attributes), children);
    default:
      if (element.type === 'link') {
        return children;
      }
      return React.createElement("p", _extends({
        style: _extends({}, style, {
          width: '100%'
        })
      }, attributes), children);
  }
};

var MoveElement = function MoveElement(props) {
  var editor = useSlate();
  // @ts-ignore
  var path = ReactEditor.findPath(editor, props.element)[0];
  return React.createElement("div", {
    style: {
      flex: 0
    },
    className: "flex self-center flex-col justify-between gap-1"
  }, React.createElement(Button, {
    type: "button",
    variant: "ghost",
    className: "p-1 h-auto",
    onClick: function onClick() {
      if (path > 0) {
        Transforms.moveNodes(editor, {
          at: [path],
          to: [path - 1]
        });
      }
    }
  }, React.createElement(CaretUp, {
    size: 12
  })), React.createElement(Button, {
    type: "button",
    variant: "ghost",
    className: "p-1 h-auto",
    onClick: function onClick() {
      if (path < editor.children.length - 1) {
        Transforms.moveNodes(editor, {
          at: [path],
          to: [path + 1]
        });
      }
    }
  }, React.createElement(CaretDown, {
    size: 12
  })));
};

var unwrapLink = function unwrapLink(editor) {
  Transforms.unwrapNodes(editor, {
    match: function match(n) {
      var customElement = n;
      return !Editor$1.isEditor(n) && Element$1.isElement(n) && customElement.type === 'link';
    }
  });
};
var wrapLink = function wrapLink(editor, url) {
  if (isLinkActive(editor)) {
    unwrapLink(editor);
  }
  var selection = editor.selection;
  var isCollapsed = selection && Range$1.isCollapsed(selection);
  var link = {
    type: 'link',
    url: url,
    children: isCollapsed ? [{
      text: url
    }] : []
  };
  if (isCollapsed) {
    Transforms.insertNodes(editor, link);
  } else {
    Transforms.wrapNodes(editor, link, {
      split: true
    });
    Transforms.collapse(editor, {
      edge: 'end'
    });
  }
};
var insertLink = function insertLink(editor, url) {
  if (editor.selection) {
    wrapLink(editor, url);
  }
};
var isLinkActive = function isLinkActive(editor) {
  var _Editor$nodes = Editor$1.nodes(editor, {
      match: function match(n) {
        var customElement = n;
        return !Editor$1.isEditor(n) && Element$1.isElement(n) && customElement.type === 'link';
      }
    }),
    link = _Editor$nodes[0];
  return !!link;
};
var withInlines = function withInlines(editor) {
  var insertData = editor.insertData,
    insertText = editor.insertText;
  editor.insertText = function (text) {
    if (text && isUrl(text)) {
      wrapLink(editor, text);
    } else {
      insertText(text);
    }
  };
  editor.insertData = function (data) {
    var text = data.getData('text/plain');
    if (text && isUrl(text)) {
      wrapLink(editor, text);
    } else {
      insertData(data);
    }
  };
  return editor;
};

var LIST_TYPES = ['ul_list', 'ol_list'];
var isBlockActive = function isBlockActive(editor, format, blockType) {
  if (blockType === void 0) {
    blockType = 'type';
  }
  var selection = editor.selection;
  if (!selection) return false;
  var _Array$from = Array.from(Editor$1.nodes(editor, {
      at: Editor$1.unhangRange(editor, selection),
      match: function match(n) {
        return !Editor$1.isEditor(n) && Element$1.isElement(n) &&
        // @ts-ignore
        n[blockType] === format;
      }
    })),
    match = _Array$from[0];
  return !!match;
};
/**
 * Used to wrap an entire paragraph in a new block, like a code block or a list
 * @param format the type of block it'll be wrapped in (e.g. `code_block`)
 */
var toggleBlock = function toggleBlock(editor, format) {
  var isActive = isBlockActive(editor, format);
  var isList = LIST_TYPES.includes(format);
  Transforms.unwrapNodes(editor, {
    match: function match(n) {
      return !Editor$1.isEditor(n) && Element$1.isElement(n) &&
      // @ts-ignore
      LIST_TYPES.includes(n.type);
    },
    split: true
  });
  var newProperties;
  newProperties = {
    // @ts-ignore
    type: isActive ? 'paragraph' : isList ? 'list_item' : format
  };
  Transforms.setNodes(editor, newProperties);
  if (!isActive && isList) {
    var block = {
      type: format,
      children: []
    };
    Transforms.wrapNodes(editor, block);
  }
};
var isMarkActive = function isMarkActive(editor, format) {
  var marks = Editor$1.marks(editor);
  // @ts-ignore
  return marks ? marks[format] === true : false;
};
var BlockButton = function BlockButton(_ref) {
  var format = _ref.format,
    icon = _ref.icon;
  var editor = useSlate();
  return React.createElement(Toggle, {
    pressed: isBlockActive(editor, format),
    onPressedChange: function onPressedChange() {
      toggleBlock(editor, format);
    }
  }, icon);
};
/**
 * Used to wrap a specific selection in a style, for example bold or italics
 * @param format the type of formatting to apply (e.g. bold)
 */
var toggleMark = function toggleMark(editor, format) {
  var isActive = isMarkActive(editor, format);
  if (isActive) {
    Editor$1.removeMark(editor, format);
  } else {
    Editor$1.addMark(editor, format, true);
  }
};
var MarkButton = function MarkButton(_ref2) {
  var format = _ref2.format,
    icon = _ref2.icon;
  var editor = useSlate();
  return React.createElement(Toggle, {
    pressed: isMarkActive(editor, format),
    onPressedChange: function onPressedChange() {
      toggleMark(editor, format);
    }
  }, icon);
};
/**
 * A button that wraps selected text into a link. If a link is selected, the link will be removed.
 */
var LinkButton = function LinkButton() {
  var editor = useSlate();
  return React.createElement(Toggle, {
    pressed: isLinkActive(editor),
    onPressedChange: function onPressedChange() {
      if (isLinkActive(editor)) {
        unwrapLink(editor);
      } else {
        var url = window.prompt('Enter the URL of the link:');
        if (!url) return;
        insertLink(editor, url);
      }
    }
  }, isLinkActive(editor) ? React.createElement(LinkBreak, {
    size: 16,
    weight: "bold"
  }) : React.createElement(Link, {
    size: 16,
    weight: "bold"
  }));
};
/**
 * A button that wraps selected text into an inline code_snippet
 */
var CodeSnippetButton = function CodeSnippetButton() {
  var editor = useSlate();
  var isCodeSnippetActive = function isCodeSnippetActive(editor) {
    var _Editor$nodes = Editor$1.nodes(editor, {
        match: function match(n) {
          return !Editor$1.isEditor(n) && Element$1.isElement(n) &&
          // @ts-expect-error
          n.type === 'code_snippet';
        }
      }),
      button = _Editor$nodes[0];
    return !!button;
  };
  var unwrapCodeSnippet = function unwrapCodeSnippet(editor) {
    Transforms.unwrapNodes(editor, {
      match: function match(n) {
        return !Editor$1.isEditor(n) && Element$1.isElement(n) &&
        // @ts-expect-error
        n.type === 'code_snippet';
      }
    });
  };
  var wrapCodeSnippet = function wrapCodeSnippet(editor) {
    if (isCodeSnippetActive(editor)) {
      unwrapCodeSnippet(editor);
    }
    var selection = editor.selection;
    var isCollapsed = selection && Range$1.isCollapsed(selection);
    var button = {
      type: 'code_snippet',
      children: isCollapsed ? [{
        text: 'Edit me!'
      }] : []
    };
    if (isCollapsed) {
      Transforms.insertNodes(editor, button);
    } else {
      Transforms.wrapNodes(editor, button, {
        split: true
      });
      Transforms.collapse(editor, {
        edge: 'end'
      });
    }
  };
  return React.createElement(Toggle, {
    pressed: isCodeSnippetActive(editor),
    onPressedChange: function onPressedChange() {
      if (isCodeSnippetActive(editor)) {
        unwrapCodeSnippet(editor);
      } else {
        wrapCodeSnippet(editor);
      }
    }
  }, React.createElement(CodeSimple, {
    size: 16
  }));
};
/**
 * Opens a component selection modal.
 */
var ComponentButton = function ComponentButton(_ref3) {
  var element = _ref3.element;
  var editor = useSlate();
  var _useCMS = useCMS(),
    components = _useCMS.components,
    createComponent = _useCMS.createComponent;
  var path = ReactEditor.findPath(editor, element);
  return React.createElement(React.Fragment, null, React.createElement(TooltipProvider, null, React.createElement(Tooltip, null, React.createElement(Modal, {
    title: 'Select a block to add',
    className: "min-w-screen min-h-screen md:min-w-[968px] md:min-h-[524px]",
    description: function description(_open, setOpen) {
      return React.createElement("div", {
        className: "grid grid-cols-1 md:grid-cols-3 gap-2 p-4"
      }, components == null ? void 0 : components.map(function (c) {
        return React.createElement("button", {
          className: "inline-flex p-4 items-start w-full rounded-md border border-input transition-colors bg-background shadow-sm hover:bg-accent hover:text-accent-foreground cursor-pointer overflow-hidden relative",
          key: c.name,
          onClick: function onClick() {
            var component = createComponent(c.name);
            if (component) {
              Transforms.insertNodes(editor, component, {
                at: [path[0] + 1],
                select: true
              });
              setOpen(false);
            }
          }
        }, c.label);
      }));
    }
  }, React.createElement(TooltipTrigger, {
    asChild: true
  }, React.createElement(Toggle, {
    pressed: false,
    onPressedChange: function onPressedChange() {}
  }, React.createElement(BracketsSquare, {
    size: 16
  })))), React.createElement(TooltipContent, {
    className: "max-w-sm"
  }, "Component Block"))));
};

/**
 * Add an empty paragraph at specified location
 */
var addEmptySpace = function addEmptySpace(
/**
 * The slate editor instance
 */
editor,
/**
 * Where the new paragraph should be added
 */
where) {
  Transforms.insertNodes(editor,
  // @ts-ignore
  {
    id: v4(),
    children: [{
      text: ''
    }],
    type: 'paragraph'
  }, {
    at: where,
    select: true
  });
};
/**
 * Remove an element at specified location
 * @param editor the slate editor instance
 * @param where where the element should be removed
 */
var removeElement = function removeElement(
/**
 * The slate editor instance
 */
editor,
/**
 * Where the element should be removed
 */
where) {
  Transforms.removeNodes(editor, {
    at: where
  });
};

/**
 * This component handles adding new nodes to Slate
 * On click of its child it will pop out a popover with elements to choose from
 */
var NewNodeToolbar = function NewNodeToolbar(_ref) {
  var children = _ref.children,
    element = _ref.element;
  var editor = useSlate();
  var path = ReactEditor.findPath(editor, element);
  return React.createElement(Popover, null, React.createElement(PopoverContent, {
    side: "top",
    className: "p-0 w-auto"
  }, React.createElement("div", {
    className: "flex"
  }, React.createElement(TooltipProvider, null, React.createElement(Tooltip, null, React.createElement(TooltipTrigger, null, React.createElement(Toggle, {
    pressed: false,
    onPressedChange: function onPressedChange() {
      addEmptySpace(editor, [path[0] + 1]);
    }
  }, React.createElement(Paragraph, {
    size: 16
  }))), React.createElement(TooltipContent, {
    className: "max-w-sm"
  }, "Paragraph"))), React.createElement(TooltipProvider, null, React.createElement(Tooltip, null, React.createElement(TooltipTrigger, null, React.createElement(Toggle, {
    pressed: false,
    onPressedChange: function onPressedChange() {
      Transforms.insertNodes(editor, {
        // @ts-ignore
        id: v4(),
        children: [{
          text: ''
        }],
        type: 'code_block',
        language: 'plain'
      }, {
        at: [path[0] + 1],
        select: true
      });
    }
  }, React.createElement(Code, {
    size: 16
  }))), React.createElement(TooltipContent, {
    className: "max-w-sm"
  }, "Code Block"))), React.createElement(TooltipProvider, null, React.createElement(Tooltip, null, React.createElement(TooltipTrigger, null, React.createElement(Toggle, {
    pressed: false,
    onPressedChange: function onPressedChange() {
      var text = {
        text: ''
      };
      var image = {
        type: 'image',
        link: null,
        title: '',
        caption: '',
        children: [text]
      };
      Transforms.insertNodes(editor, image, {
        at: [path[0] + 1],
        select: true
      });
    }
  }, React.createElement(Image$2, {
    size: 16
  })), ' '), ' ', React.createElement(TooltipContent, {
    className: "max-w-sm"
  }, "Image Block"))), React.createElement(ComponentButton, {
    element: element
  }))), React.createElement(PopoverTrigger, {
    asChild: true
  }, children));
};

/**
 * Renders a button that, when clicked, adds an empty paragraph after the specified `element`
 */
var AddSpace = function AddSpace(_ref) {
  var element = _ref.element;
  return React.createElement(NewNodeToolbar, {
    element: element
  }, React.createElement("button", {
    type: "button",
    className: "flex justify-center items-center p-1 rounded-md border border-input transition-colors bg-background shadow-sm hover:bg-accent hover:text-accent-foreground cursor-pointer"
  }, React.createElement(Plus, {
    size: 16
  })));
};

/**
 * Renders a button that, when clicked, removes the element it is connected to.
 */
var RemoveElement = function RemoveElement(_ref) {
  var element = _ref.element;
  var editor = useSlate();
  var path = ReactEditor.findPath(editor, element);
  return React.createElement("button", {
    type: "button",
    className: "flex justify-center items-center p-1 rounded-md border border-input transition-colors bg-background shadow-sm hover:bg-accent hover:text-accent-foreground cursor-pointer",
    disabled: editor.children.length === 1,
    onClick: function onClick() {
      removeElement(editor, [path[0]]);
    }
  }, React.createElement(Trash, {
    size: 16
  }));
};

var Controls = function Controls(_ref) {
  var element = _ref.element;
  return React.createElement("div", {
    className: "-mt-1 relative"
  }, React.createElement("div", {
    className: "flex items-center justify-center gap-2"
  }, React.createElement(AddSpace, {
    element: element
  }), React.createElement(RemoveElement, {
    element: element
  })));
};

var Leaf = function Leaf(props) {
  var children = props.children,
    leaf = props.leaf;
  if (leaf.bold) {
    children = React.createElement("strong", null, children);
  }
  if (leaf.italic) {
    children = React.createElement("em", null, children);
  }
  if (leaf.underline) {
    children = React.createElement("u", null, children);
  }
  return React.createElement(Text, _extends({}, props), children);
};
// The following is a workaround for a Chromium bug where,
// if you have an inline at the end of a block,
// clicking the end of a block puts the cursor inside the inline
// instead of inside the final {text: ''} node
// https://github.com/ianstormtaylor/slate/issues/4704#issuecomment-1006696364
var Text = function Text(props) {
  var attributes = props.attributes,
    children = props.children,
    leaf = props.leaf;
  return React.createElement("span", _extends({
    className: StyledText({
      text: leaf.text ? true : true
    })
  }, attributes), children);
};
var StyledText = /*#__PURE__*/cva('', {
  variants: {
    text: {
      "true": 'pl-[0.1px]'
    }
  }
});

/**
 * Returns all "list-items" in a given Range.
 */
function getListItemsInRange(editor, at) {
  if (at === void 0) {
    at = editor.selection;
  }
  if (!at) {
    return [];
  }
  var start = getLocationStart(at);
  var listItems = Editor$1.nodes(editor, {
    at: at,
    match: editor.isListItemNode
  });
  return Array.from(listItems).filter(function (_ref) {
    var path = _ref[1];
    var _Path$ancestors = Path.ancestors(start, {
        reverse: true
      }),
      grandparent = _Path$ancestors[1];
    var rangeIsGrandhild = Path.equals(path, grandparent);
    var rangeIsDescendant = Path.isDescendant(start, path);
    var rangeStartsAfter = Path.isAfter(start, path);
    if (rangeIsDescendant) {
      // There's just one case where we want to include a "list-item" that is
      // an ancestor of the range starting point - when it's a grandparent of that point.
      // It's because the selection starting point will be in a grandchild `{ text: '' }` node.
      // <h-li>                       <--- grandparent
      //     <h-li-text>
      //         <h-text>             <--- grandchild
      //             <anchor />       <--- range starting point
      //         </h-text>
      //     </h-li-text>
      // </h-li>
      // Other ancestors are not "visually" in selection, but they are returned by `Editor.nodes`.
      return !rangeStartsAfter && rangeIsGrandhild;
    }
    return !rangeStartsAfter;
  });
}
function getLocationStart(location) {
  if (Range$1.isRange(location)) {
    return Range$1.start(location).path;
  }
  if (Point.isPoint(location)) {
    return location.path;
  }
  return location;
}

/**
 * Returns parent "list-item" node of "list-item" at a given path.
 * Returns null if there is no parent "list-item".
 */
function getParentListItem(editor, path) {
  var parentListItem = Editor$1.above(editor, {
    at: path,
    match: function match(node) {
      return editor.isListItemNode(node);
    }
  });
  return parentListItem != null ? parentListItem : null;
}

function getPrevSibling(editor, path) {
  var previousSiblingPath;
  try {
    previousSiblingPath = Path.previous(path);
  } catch (error) {
    // Unable to calculate `Path.previous`, which means there is no previous sibling.
    return null;
  }
  if (Node.has(editor, previousSiblingPath)) {
    return [Node.get(editor, previousSiblingPath), previousSiblingPath];
  }
  return null;
}

function getCursorPositionInNode(editor, cursorLocation, nodePath) {
  var nodeStartPoint = Editor$1.start(editor, nodePath);
  var nodeEndPoint = Editor$1.end(editor, nodePath);
  var isStart = Point.equals(cursorLocation, nodeStartPoint);
  var isEnd = Point.equals(cursorLocation, nodeEndPoint);
  return {
    isEnd: isEnd,
    isStart: isStart
  };
}

/**
 * Returns true when editor has collapsed selection and the cursor is at the beginning of a "list-item".
 */
function isCursorAtStartOfListItem(editor) {
  if (!editor.selection || Range$1.isExpanded(editor.selection)) {
    return false;
  }
  var listItemsInSelection = getListItemsInRange(editor, editor.selection);
  if (listItemsInSelection.length !== 1) {
    return false;
  }
  var _listItemsInSelection = listItemsInSelection[0],
    listItemPath = _listItemsInSelection[1];
  var _getCursorPositionInN = getCursorPositionInNode(editor, editor.selection.anchor, listItemPath),
    isStart = _getCursorPositionInN.isStart;
  return isStart;
}

/**
 * Returns true when editor.deleteBackward() is safe to call (it won't break the structure).
 */
function canDeleteBackward(editor) {
  var listItemsInSelection = getListItemsInRange(editor, editor.selection);
  if (listItemsInSelection.length === 0) {
    return true;
  }
  var _listItemsInSelection = listItemsInSelection[0],
    listItemPath = _listItemsInSelection[1];
  var isInNestedList = getParentListItem(editor, listItemPath) !== null;
  var isFirstListItem = getPrevSibling(editor, listItemPath) === null;
  return isInNestedList || !isFirstListItem || !isCursorAtStartOfListItem(editor);
}

/**
 * Returns parent "list" node of "list-item" at a given path.
 * Returns null if there is no parent "list".
 */
function getParentList(editor, path) {
  var parentList = Editor$1.above(editor, {
    at: path,
    match: function match(node) {
      return editor.isListNode(node);
    }
  });
  return parentList != null ? parentList : null;
}

var ListType;
(function (ListType) {
  ListType["ORDERED"] = "ol_list";
  ListType["UNORDERED"] = "ul_list";
})(ListType || (ListType = {}));

/**
 * Returns the "type" of a given list node.
 */
function getListType(editor, node) {
  var isElement = Element$1.isElement(node);
  if (isElement && editor.isListNode(node, ListType.ORDERED)) {
    return ListType.ORDERED;
  }
  if (isElement && editor.isListNode(node, ListType.UNORDERED)) {
    return ListType.UNORDERED;
  }
  // This should never happen.
  return ListType.UNORDERED;
}

// List items have either 1 or 2 children, always in the following order:
// 0 - list item text
// 1 - nested list (optional)
var TEXT_PATH_INDEX = 0;
var NESTED_LIST_PATH_INDEX = 1;

/**
 * Returns "list" node nested in "list-item" at a given path.
 * Returns null if there is no nested "list".
 */
function getNestedList(editor, path) {
  var nestedListPath = [].concat(path, [NESTED_LIST_PATH_INDEX]);
  if (!Node.has(editor, nestedListPath)) {
    return null;
  }
  var nestedList = Node.get(editor, nestedListPath);
  if (Element$1.isElement(nestedList) && editor.isListNode(nestedList)) {
    // Sanity check.
    return [nestedList, nestedListPath];
  }
  return null;
}

function getNextSibling(editor, path) {
  var nextSiblingPath;
  try {
    nextSiblingPath = Path.next(path);
  } catch (error) {
    // Unable to calculate `Path.next`, which means there is no next sibling.
    return null;
  }
  if (Node.has(editor, nextSiblingPath)) {
    return [Node.get(editor, nextSiblingPath), nextSiblingPath];
  }
  return null;
}

/**
 * Returns true if given "list-item" node contains a non-empty "list-item-text" node.
 */
function isListItemContainingText(editor, node) {
  if (Element$1.isElement(node) && editor.isListItemNode(node)) {
    return node.children.some(function (node) {
      return Element$1.isElement(node) && editor.isListItemTextNode(node) && !Editor$1.isEmpty(editor, node);
    });
  }
  return false;
}

/**
 * Returns true when editor has collapsed selection and the cursor is in an empty "list-item".
 */
function isCursorInEmptyListItem(editor) {
  if (!editor.selection || Range$1.isExpanded(editor.selection)) {
    return false;
  }
  var listItemsInSelection = getListItemsInRange(editor, editor.selection);
  if (listItemsInSelection.length !== 1) {
    return false;
  }
  var _listItemsInSelection = listItemsInSelection[0],
    listItemNode = _listItemsInSelection[0];
  return !isListItemContainingText(editor, listItemNode);
}

/**
 * Will return a minimal subset of the given nodes that includes the rest of the given nodes as descendants.
 *
 * Example:
 *           ROOT
 *         /     \
 *        /       \
 *       A         B
 *     / | \     / | \
 *    A1 A2 A3  B1 B2 B3
 *   /       \         \
 *  A11      A31       B31
 *
 * A is the subtree root that includes every other node:
 * - pickSubtreesRoots([A, A1, A2, A3, A31]) === [A]
 *
 * A and B1 are the subtree roots that include every other node:
 * - pickSubtreesRoots([A, A1, A2, A3, A31, B1]) === [A, B1]
 *
 * A, B1, B2, and B3 are the subtree roots that include every other node:
 * - pickSubtreesRoots([A, A1, A2, A3, A31, B1, B2, B3, B31]) === [A, B1, B2, B3]
 *
 * A and B are the subtree roots that include every other node:
 * - pickSubtreesRoots([A, A1, A2, A3, A31, B, B1, B2, B3, B31]) === [A, B]
 */
function pickSubtreesRoots(entries) {
  return entries.filter(function (_ref) {
    var nodePath = _ref[1];
    var ancestors = Path.ancestors(nodePath);
    return !ancestors.some(function (ancestor) {
      return entries.some(function (_ref2) {
        var path = _ref2[1];
        return Path.equals(path, ancestor);
      });
    });
  });
}

/**
 * Increases nesting depth of "list-item" at a given Path.
 */
function increaseListItemDepth(editor, listItemPath) {
  var previousListItem = getPrevSibling(editor, listItemPath);
  if (!previousListItem) {
    // The existence of previous "list-item" is necessary and sufficient for the operation to be possible.
    // See: https://en.wikipedia.org/wiki/Necessity_and_sufficiency
    return;
  }
  var previousListItemNode = previousListItem[0],
    previousListItemPath = previousListItem[1];
  if (!editor.isListItemNode(previousListItemNode)) {
    // Sanity check.
    return;
  }
  var previousListItemChildListPath = [].concat(previousListItemPath, [NESTED_LIST_PATH_INDEX]);
  var previousListItemHasChildList = Node.has(editor, previousListItemChildListPath);
  Editor$1.withoutNormalizing(editor, function () {
    // Ensure there's a nested "list" in the previous sibling "list-item".
    if (!previousListItemHasChildList) {
      var listNodePath = Path.ancestors(listItemPath, {
        reverse: true
      })[0];
      var listNode = Node.get(editor, listNodePath);
      Transforms.insertNodes(editor, editor.createListNode(getListType(editor, listNode), {
        children: []
      }), {
        at: previousListItemChildListPath
      });
    }
    var previousListItemChildList = Node.get(editor, previousListItemChildListPath);
    if (Element$1.isElement(previousListItemChildList) && editor.isListNode(previousListItemChildList)) {
      var index = previousListItemHasChildList ? previousListItemChildList.children.length : 0;
      Transforms.moveNodes(editor, {
        at: listItemPath,
        to: [].concat(previousListItemChildListPath, [index])
      });
    }
  });
}

/**
 * Decreases nesting depth of "list-item" at a given Path.
 */
function decreaseListItemDepth(editor, listItemPath) {
  var parentList = getParentList(editor, listItemPath);
  if (!parentList) {
    // It should never happen.
    return;
  }
  var parentListNode = parentList[0],
    parentListPath = parentList[1];
  var parentListItem = getParentListItem(editor, listItemPath);
  var listItemIndex = listItemPath[listItemPath.length - 1];
  var previousSiblings = parentListNode.children.slice(0, listItemIndex);
  var nextSiblings = parentListNode.children.slice(listItemIndex + 1);
  Editor$1.withoutNormalizing(editor, function () {
    // We have to move all subsequent sibling "list-items" into a new "list" that will be
    // nested in the "list-item" we're trying to move.
    nextSiblings.forEach(function () {
      // The next sibling path is always the same, because once we move out the next sibling,
      // another one will take its place.
      var nextSiblingPath = [].concat(parentListPath, [listItemIndex + 1]);
      increaseListItemDepth(editor, nextSiblingPath);
    });
    if (parentListItem) {
      // Move the "list-item" to the grandparent "list".
      var parentListItemPath = parentListItem[1];
      Transforms.moveNodes(editor, {
        at: listItemPath,
        to: Path.next(parentListItemPath)
      });
      // We've moved the "list-item" and all its subsequent sibling "list-items" out of this list.
      // So in case there are no more "list-items" left, we should remove the list.
      if (previousSiblings.length === 0) {
        Transforms.removeNodes(editor, {
          at: parentListPath
        });
      }
    } else {
      // Move the "list-item" to the root of the editor.
      var listItemTextPath = [].concat(listItemPath, [TEXT_PATH_INDEX]);
      var listItemNestedListPath = [].concat(listItemPath, [NESTED_LIST_PATH_INDEX]);
      if (Node.has(editor, listItemNestedListPath)) {
        Transforms.setNodes(editor, editor.createListNode(getListType(editor, parentListNode), {
          children: []
        }), {
          at: listItemNestedListPath
        });
        Transforms.liftNodes(editor, {
          at: listItemNestedListPath
        });
        Transforms.liftNodes(editor, {
          at: Path.next(listItemPath)
        });
      }
      if (Node.has(editor, listItemTextPath)) {
        Transforms.setNodes(editor, editor.createDefaultTextNode(), {
          at: listItemTextPath
        });
        Transforms.liftNodes(editor, {
          at: listItemTextPath
        });
        Transforms.liftNodes(editor, {
          at: listItemPath
        });
      }
    }
  });
}

/**
 * Decreases nesting depth of all "list-items" in the current selection.
 * All "list-items" in the root "list" will become "default" nodes.
 */
function decreaseDepth(editor, at) {
  if (at === void 0) {
    at = editor.selection;
  }
  if (!at) {
    return;
  }
  var listItems = getListItemsInRange(editor, at);
  // When calling `decreaseListItemDepth` the paths and references to "list-items"
  // can change, so we need a way of marking the "list-items" scheduled for transformation.
  var refs = pickSubtreesRoots(listItems).map(function (_ref) {
    var path = _ref[1];
    return Editor$1.pathRef(editor, path);
  });
  refs.forEach(function (ref) {
    if (ref.current) {
      decreaseListItemDepth(editor, ref.current);
    }
    ref.unref();
  });
}

/**
 * All nodes matching `isConvertibleToListTextNode()` in the current selection
 * will be converted to list items and then wrapped in lists.
 *
 * @see ListsEditor.isConvertibleToListTextNode()
 */
function wrapInList$1(editor, listType) {
  if (!editor.selection) {
    return;
  }
  var nonListEntries = Array.from(Editor$1.nodes(editor, {
    at: editor.selection,
    match: function match(node) {
      return Element$1.isElement(node) && !editor.isListNode(node) && !editor.isListItemNode(node) && !editor.isListItemTextNode(node) && editor.isConvertibleToListTextNode(node);
    }
  }));
  var refs = nonListEntries.map(function (_ref) {
    var path = _ref[1];
    return Editor$1.pathRef(editor, path);
  });
  refs.forEach(function (ref) {
    var path = ref.current;
    if (path) {
      Editor$1.withoutNormalizing(editor, function () {
        Transforms.setNodes(editor, editor.createListItemTextNode(), {
          at: path
        });
        Transforms.wrapNodes(editor, editor.createListItemNode(), {
          at: path
        });
        Transforms.wrapNodes(editor, editor.createListNode(listType), {
          at: path
        });
      });
    }
    ref.unref();
  });
}

/**
 * Increases nesting depth of all "list-items" in the current selection.
 * All nodes matching options.wrappableTypes in the selection will be converted to "list-items" and wrapped in a "list".
 */
function increaseDepth(editor) {
  if (!editor.selection) {
    return;
  }
  var listItems = getListItemsInRange(editor, editor.selection);
  var indentableListItems = listItems.filter(function (_ref) {
    var listItemPath = _ref[1];
    var previousListItem = getPrevSibling(editor, listItemPath);
    return previousListItem !== null;
  });
  // When calling `increaseListItemDepth` the paths and references to list items
  // can change, so we need a way of marking the list items scheduled for transformation.
  var refs = pickSubtreesRoots(indentableListItems).map(function (_ref2) {
    var path = _ref2[1];
    return Editor$1.pathRef(editor, path);
  });
  Editor$1.withoutNormalizing(editor, function () {
    // Before we indent "list-items", we want to convert every non list-related block in selection to a "list".
    wrapInList$1(editor, ListType.UNORDERED);
    refs.forEach(function (ref) {
      if (ref.current) {
        increaseListItemDepth(editor, ref.current);
      }
      ref.unref();
    });
  });
}

function mergeListWithPreviousSiblingList(editor, _ref) {
  var node = _ref[0],
    path = _ref[1];
  if (!editor.isListNode(node)) {
    // This function does not know how to normalize other nodes.
    return false;
  }
  var previousSibling = getPrevSibling(editor, path);
  if (!previousSibling) {
    // Nothing to merge with.
    return false;
  }
  var previousSiblingNode = previousSibling[0];
  if (!editor.isListNode(previousSiblingNode)) {
    return false;
  }
  var isNestedList = Boolean(getParentListItem(editor, path));
  var isPreviousSiblingSameListType = getListType(editor, previousSiblingNode) === getListType(editor, node);
  if (!isPreviousSiblingSameListType && !isNestedList) {
    // If previous sibling "list" is of a different type, then this fix does not apply
    // unless we're working with nested "lists".
    return false;
  }
  Transforms.mergeNodes(editor, {
    at: path
  });
  return true;
}

/**
 * Moves all "list-items" from one "list" to the end of another "list".
 */
function moveListItemsToAnotherList(editor, parameters) {
  var _parameters$at = parameters.at,
    sourceListNode = _parameters$at[0],
    sourceListPath = _parameters$at[1];
  var _parameters$to = parameters.to,
    targetListNode = _parameters$to[0],
    targetListPath = _parameters$to[1];
  if (Element$1.isElement(sourceListNode) && Element$1.isElement(targetListNode) && editor.isListNode(sourceListNode) && editor.isListNode(targetListNode)) {
    // Sanity check.
    for (var i = 0; i < sourceListNode.children.length; ++i) {
      Transforms.moveNodes(editor, {
        at: [].concat(sourceListPath, [0]),
        to: [].concat(targetListPath, [targetListNode.children.length + i])
      });
    }
  }
}

/**
 * Nests (moves) given "list" in a given "list-item".
 */
function moveListToListItem(editor, parameters) {
  var _parameters$at = parameters.at,
    sourceListNode = _parameters$at[0],
    sourceListPath = _parameters$at[1];
  var _parameters$to = parameters.to,
    targetListNode = _parameters$to[0],
    targetListPath = _parameters$to[1];
  if (!editor.isListNode(sourceListNode) || !editor.isListItemNode(targetListNode)) {
    // Sanity check.
    return;
  }
  Transforms.moveNodes(editor, {
    at: sourceListPath,
    to: [].concat(targetListPath, [NESTED_LIST_PATH_INDEX])
  });
}

/**
 * Collapses the current selection (by removing everything in it) and if the cursor
 * ends up in a "list-item" node, it will break that "list-item" into 2 nodes, splitting
 * the text at the cursor location.
 */
function splitListItem(editor) {
  if (!editor.selection) {
    return;
  }
  if (Range$1.isExpanded(editor.selection)) {
    // Remove everything in selection (this will collapse the selection).
    Transforms["delete"](editor);
  }
  var listItemsInSelection = getListItemsInRange(editor, editor.selection);
  if (listItemsInSelection.length !== 1) {
    // Selection is collapsed, so there should be either 0 or 1 "list-item" in selection.
    // When no "list-items" are selected - there's no "list-item" to split.
    return;
  }
  // Selection is collapsed, `editor.selection.anchor` is equal to `editor.selection.focus`.
  var cursorPoint = editor.selection.anchor;
  var _listItemsInSelection = listItemsInSelection[0],
    listItemNode = _listItemsInSelection[0],
    listItemPath = _listItemsInSelection[1];
  var listItemTextPath = [].concat(listItemPath, [TEXT_PATH_INDEX]);
  var _getCursorPositionInN = getCursorPositionInNode(editor, cursorPoint, listItemTextPath),
    isEnd = _getCursorPositionInN.isEnd,
    isStart = _getCursorPositionInN.isStart;
  if (isStart) {
    var newListItem = editor.createListItemNode({
      children: [editor.createListItemTextNode()]
    });
    Transforms.insertNodes(editor, newListItem, {
      at: listItemPath
    });
    return;
  }
  var newListItemPath = Path.next(listItemPath);
  var newListItemTextPath = Path.next(listItemTextPath);
  var hasNestedList = Node.has(listItemNode, [NESTED_LIST_PATH_INDEX]); // listItemNode.children.length > 1
  Editor$1.withoutNormalizing(editor, function () {
    if (isEnd) {
      var _newListItem = editor.createListItemNode({
        children: [editor.createListItemTextNode()]
      });
      Transforms.insertNodes(editor, _newListItem, {
        at: newListItemPath
      });
      // Move the cursor to the new "list-item".
      Transforms.select(editor, newListItemPath);
    } else {
      // Split current "list-item-text" element into 2.
      Transforms.splitNodes(editor);
      // The current "list-item-text" has a parent "list-item", the new one needs its own.
      Transforms.wrapNodes(editor, editor.createListItemNode(), {
        at: newListItemTextPath
      });
      // Move the new "list-item" up to be a sibling of the original "list-item".
      Transforms.moveNodes(editor, {
        at: newListItemTextPath,
        to: newListItemPath
      });
    }
    // If there was a "list" in the "list-item" move it to the new "list-item".
    if (hasNestedList) {
      Transforms.moveNodes(editor, {
        at: Path.next(listItemTextPath),
        to: [].concat(newListItemPath, [NESTED_LIST_PATH_INDEX])
      });
    }
  });
}

/**
 * All children of a "list" have to be "list-items". It can happen (e.g. during pasting) that
 * this will not be true, so we have to convert all non-"list-item" children of a "list"
 * into "list-items".
 */
function normalizeListChildren(editor, _ref) {
  var node = _ref[0],
    path = _ref[1];
  if (!editor.isListNode(node)) {
    // This function does not know how to normalize other nodes.
    return false;
  }
  var normalized = false;
  var children = Array.from(Node.children(editor, path));
  children.forEach(function (_ref2) {
    var childNode = _ref2[0],
      childPath = _ref2[1];
    if (normalized) {
      // Make sure at most 1 normalization operation is done at a time.
      return;
    }
    if (Text$1.isText(childNode)) {
      // This can happen during pasting
      // When pasting from MS Word there may be weird text nodes with some whitespace
      // characters. They're not expected to be deserialized so we remove them.
      if (!childNode.text.trim()) {
        if (children.length > 1) {
          Transforms.removeNodes(editor, {
            at: childPath
          });
        } else {
          // If we're removing the only child, we may delete the whole list as well
          // to avoid never-ending normalization (Slate will insert empty text node).
          Transforms.removeNodes(editor, {
            at: path
          });
        }
        normalized = true;
        return;
      }
      Transforms.wrapNodes(editor, editor.createListItemNode({
        children: [editor.createListItemTextNode({
          children: [childNode]
        })]
      }), {
        at: childPath
      });
      normalized = true;
      return;
    }
    if (!Element$1.isElement(childNode)) {
      return;
    }
    if (editor.isListItemTextNode(childNode)) {
      Transforms.wrapNodes(editor, editor.createListItemNode(), {
        at: childPath
      });
      normalized = true;
      return;
    }
    if (editor.isListNode(childNode)) {
      // Wrap it into a list item so that `normalizeOrphanNestedList` can take care of it.
      Transforms.wrapNodes(editor, editor.createListItemNode(), {
        at: childPath
      });
      normalized = true;
      return;
    }
    if (!editor.isListItemNode(childNode)) {
      Transforms.setNodes(editor, editor.createListItemTextNode(), {
        at: childPath
      });
      Transforms.wrapNodes(editor, editor.createListItemNode(), {
        at: childPath
      });
      normalized = true;
    }
  });
  return normalized;
}

/**
 * A "list-item" can have a single "list-item-text" and optionally an extra "list" as a child.
 */
function normalizeListItemChildren(editor, _ref) {
  var node = _ref[0],
    path = _ref[1];
  if (!editor.isListItemNode(node)) {
    // This function does not know how to normalize other nodes.
    return false;
  }
  var children = Array.from(Node.children(editor, path));
  for (var childIndex = 0; childIndex < children.length; ++childIndex) {
    var _children$childIndex = children[childIndex],
      childNode = _children$childIndex[0],
      childPath = _children$childIndex[1];
    if (Text$1.isText(childNode) || editor.isInline(childNode)) {
      var listItemText = editor.createListItemTextNode({
        children: [childNode]
      });
      Transforms.wrapNodes(editor, listItemText, {
        at: childPath
      });
      if (childIndex > 0) {
        var _children = children[childIndex - 1],
          previousChildNode = _children[0];
        if (editor.isListItemTextNode(previousChildNode)) {
          Transforms.mergeNodes(editor, {
            at: childPath
          });
        }
      }
      return true;
    }
    if (editor.isListItemNode(childNode)) {
      Transforms.liftNodes(editor, {
        at: childPath
      });
      return true;
    }
    if (editor.isListItemTextNode(childNode) && childIndex !== 0) {
      Transforms.wrapNodes(editor, editor.createListItemNode(), {
        at: childPath
      });
      return true;
    }
    if (!editor.isListItemTextNode(childNode) && !editor.isListNode(childNode)) {
      Transforms.setNodes(editor, editor.createListItemTextNode(), {
        at: childPath
      });
      return true;
    }
  }
  return false;
}

/**
 * A "list-item-text" can have only inline nodes in it.
 */
function normalizeListItemTextChildren(editor, _ref) {
  var node = _ref[0],
    path = _ref[1];
  if (!editor.isListItemTextNode(node)) {
    // This function does not know how to normalize other nodes.
    return false;
  }
  for (var _iterator = _createForOfIteratorHelperLoose(Node.children(editor, path)), _step; !(_step = _iterator()).done;) {
    var _step$value = _step.value,
      childNode = _step$value[0],
      childPath = _step$value[1];
    if (Element$1.isElement(childNode) && !Editor$1.isInline(editor, childNode)) {
      Transforms.unwrapNodes(editor, {
        at: childPath
      });
      return true;
    }
  }
  return false;
}

/**
 * If "list-item" somehow (e.g. by deleting everything around it) ends up
 * at the root of the editor, we have to convert it into a "default-block".
 * ----
 * Alternatively we could wrap it in a "list", but it's unlikely that it's
 * the expected behavior. The only case where it would be expected is during
 * pasting, so we have a separate rule for that in `deserializeHtml`.
 */
function normalizeOrphanListItem(editor, _ref) {
  var node = _ref[0],
    path = _ref[1];
  if (!editor.isListItemNode(node)) {
    // This function does not know how to normalize other nodes.
    return false;
  }
  var parentList = getParentList(editor, path);
  if (parentList) {
    // If there is a parent "list", then the fix does not apply.
    return false;
  }
  Editor$1.withoutNormalizing(editor, function () {
    Transforms.unwrapNodes(editor, {
      at: path
    });
    Transforms.setNodes(editor, editor.createDefaultTextNode(), {
      at: path
    });
  });
  return true;
}

/**
 * If "list-item-text" somehow (e.g. by deleting everything around it) ends up
 * at the root of the editor, we have to convert it into a "default-block".
 * ----
 * Alternatively we could wrap it in a "list-item", but it's unlikely that it's
 * the expected behavior. The only case where it would be expected is during
 * pasting, so we have a separate rule for that in `deserializeHtml`.
 */
function normalizeOrphanListItemText(editor, _ref) {
  var node = _ref[0],
    path = _ref[1];
  if (!editor.isListItemTextNode(node)) {
    // This function does not know how to normalize other nodes.
    return false;
  }
  var parentListItem = getParentListItem(editor, path);
  if (parentListItem) {
    // If there is a parent "list-item", then the fix does not apply.
    return false;
  }
  Transforms.setNodes(editor, editor.createDefaultTextNode(), {
    at: path
  });
  return true;
}

/**
 * If there is a nested "list" inside a "list-item" without a "list-item-text"
 * unwrap that nested "list" and try to nest it in previous sibling "list-item".
 */
function normalizeOrphanNestedList(editor, _ref) {
  var node = _ref[0],
    path = _ref[1];
  if (!editor.isListItemNode(node)) {
    // This function does not know how to normalize other nodes.
    return false;
  }
  var children = Array.from(Node.children(editor, path));
  if (children.length !== 1) {
    return false;
  }
  var list = children[0];
  var listNode = list[0],
    listPath = list[1];
  if (!editor.isListNode(listNode)) {
    // If the first child is not a "list", then this fix does not apply.
    return false;
  }
  var previousListItem = getPrevSibling(editor, path);
  if (previousListItem) {
    var previousListItemPath = previousListItem[1];
    var previousListItemNestedList = getNestedList(editor, previousListItemPath);
    if (previousListItemNestedList) {
      moveListItemsToAnotherList(editor, {
        at: list,
        to: previousListItemNestedList
      });
    } else {
      moveListToListItem(editor, {
        at: list,
        to: previousListItem
      });
    }
    // Remove now empty "list-item".
    Transforms.removeNodes(editor, {
      at: path
    });
  } else {
    // If there's no previous "list-item" to move nested "list" into, just lift it up.
    Transforms.unwrapNodes(editor, {
      at: listPath
    });
    Transforms.unwrapNodes(editor, {
      at: path
    });
  }
  return true;
}

/**
 * If there are 2 "lists" of the same type next to each other, merge them together.
 * If there are 2 nested "lists" next to each other, merge them together.
 */
function normalizeSiblingLists(editor, entry) {
  var normalized = mergeListWithPreviousSiblingList(editor, entry);
  if (normalized) {
    return true;
  }
  var path = entry[1];
  var nextSibling = getNextSibling(editor, path);
  if (!nextSibling) {
    return false;
  }
  return mergeListWithPreviousSiblingList(editor, nextSibling);
}

function onKeyDown(editor, event) {
  var listItemsInSelection = getListItemsInRange(editor, editor.selection);
  // Since we're overriding the default Tab key behavior
  // we need to bring back the possibility to blur the editor
  // with keyboard.
  if (isHotkey('esc', event.nativeEvent)) {
    event.preventDefault();
    ReactEditor.blur(editor);
  }
  if (isHotkey('tab', event.nativeEvent)) {
    event.preventDefault();
    increaseDepth(editor);
  }
  if (isHotkey('shift+tab', event.nativeEvent)) {
    event.preventDefault();
    decreaseDepth(editor);
  }
  if (isHotkey('backspace', event.nativeEvent) && !canDeleteBackward(editor)) {
    event.preventDefault();
    decreaseDepth(editor);
  }
  if (isHotkey('enter', event.nativeEvent)) {
    if (isCursorInEmptyListItem(editor)) {
      event.preventDefault();
      decreaseDepth(editor);
    } else if (listItemsInSelection.length > 0) {
      event.preventDefault();
      splitListItem(editor);
    }
  }
  // Slate does not always trigger normalization when one would expect it to.
  // So we want to force it after we perform lists operations, as it fixes
  // many unexpected behaviors.
  // https://github.com/ianstormtaylor/slate/issues/3758
  Editor$1.normalize(editor, {
    force: true
  });
}

var LIST_NORMALIZERS = [normalizeListChildren, normalizeListItemChildren, normalizeListItemTextChildren, normalizeOrphanListItem, normalizeOrphanListItemText, normalizeOrphanNestedList, normalizeSiblingLists];
/**
 * Enables normalizations that enforce schema constraints and recover from unsupported cases.
 */
function withLists(schema) {
  return function (editor) {
    var listsEditor = Object.assign(editor, {
      isConvertibleToListTextNode: schema.isConvertibleToListTextNode,
      isDefaultTextNode: schema.isDefaultTextNode,
      isListNode: schema.isListNode,
      isListItemNode: schema.isListItemNode,
      isListItemTextNode: schema.isListItemTextNode,
      createDefaultTextNode: schema.createDefaultTextNode,
      createListNode: schema.createListNode,
      createListItemNode: schema.createListItemNode,
      createListItemTextNode: schema.createListItemTextNode
    });
    return withNormalizations(listsEditor, LIST_NORMALIZERS);
  };
}
function withNormalizations(editor, normalizers) {
  var normalizeNode = editor.normalizeNode;
  editor.normalizeNode = function (entry) {
    for (var _iterator = _createForOfIteratorHelperLoose(normalizers), _step; !(_step = _iterator()).done;) {
      var normalize = _step.value;
      var changed = normalize(editor, entry);
      if (changed) {
        return;
      }
    }
    normalizeNode(entry);
  };
  return editor;
}

function wrapInFragment(nodes) {
  var fragment = document.createDocumentFragment();
  fragment.append.apply(fragment, nodes);
  return fragment;
}
function wrapInList(nodes, nodeName) {
  var listElement = document.createElement(nodeName);
  listElement.append.apply(listElement, nodes);
  return listElement;
}
function wrapInLi(nodes) {
  var listItemElement = document.createElement('li');
  listItemElement.append.apply(listItemElement, nodes);
  return listItemElement;
}
/**
 * Activates `Range.prototype.cloneContents` override that ensures in the cloned contents:
 * - there are no <li> children elements without parent <li> element
 * - there are no <li> elements without parent <ol> or <ul> elements
 */
function patchRangeCloneContents() {
  var originalCloneContents = Range.prototype.cloneContents;
  Range.prototype.cloneContents = function cloneContents() {
    var contents = originalCloneContents.apply(this);
    if (this.commonAncestorContainer.nodeName === 'OL' || this.commonAncestorContainer.nodeName === 'UL') {
      return wrapInFragment([wrapInList([].concat(contents.childNodes), this.commonAncestorContainer.nodeName)]);
    }
    if (this.commonAncestorContainer.nodeName === 'LI' && this.commonAncestorContainer.parentElement && (this.commonAncestorContainer.parentElement.nodeName === 'OL' || this.commonAncestorContainer.parentElement.nodeName === 'UL')) {
      return wrapInFragment([wrapInList([wrapInLi([].concat(contents.childNodes))], this.commonAncestorContainer.parentElement.nodeName)]);
    }
    return contents;
  };
  /**
   * Brings back the original `Range.prototype.cloneContents`.
   */
  return function undo() {
    Range.prototype.cloneContents = originalCloneContents;
  };
}

function withRangeCloneContentsPatched(callback) {
  var undo = patchRangeCloneContents();
  try {
    callback();
  } finally {
    undo();
  }
}

/* eslint-disable no-param-reassign */
/**
 * Enables Range.prototype.cloneContents monkey patch to improve pasting behavior
 * in few edge cases.
 */
function withListsReact(editor) {
  var setFragmentData = editor.setFragmentData;
  editor.setFragmentData = function (data) {
    withRangeCloneContentsPatched(function () {
      setFragmentData(data);
    });
  };
  return editor;
}

var withListsPlugin = /*#__PURE__*/withLists({
  isConvertibleToListTextNode: function isConvertibleToListTextNode(node) {
    return Element$1.isElementType(node, defaultNodeTypes.paragraph);
  },
  isDefaultTextNode: function isDefaultTextNode(node) {
    return Element$1.isElementType(node, defaultNodeTypes.paragraph);
  },
  isListNode: function isListNode(node, type) {
    if (type) {
      return Element$1.isElementType(node, type);
    }
    return Element$1.isElementType(node, defaultNodeTypes.ol_list) || Element$1.isElementType(node, defaultNodeTypes.ul_list);
  },
  isListItemNode: function isListItemNode(node) {
    return Element$1.isElementType(node, defaultNodeTypes.listItem);
  },
  isListItemTextNode: function isListItemTextNode(node) {
    return Element$1.isElementType(node, defaultNodeTypes.listItemText);
  },
  createDefaultTextNode: function createDefaultTextNode(props) {
    if (props === void 0) {
      props = {};
    }
    return _extends({
      children: [{
        text: ''
      }]
    }, props, {
      type: defaultNodeTypes.paragraph
    });
  },
  createListNode: function createListNode(type, props) {
    if (type === void 0) {
      type = ListType.UNORDERED;
    }
    if (props === void 0) {
      props = {};
    }
    var nodeType = type === ListType.ORDERED ? defaultNodeTypes.ol_list : defaultNodeTypes.ul_list;
    return _extends({
      children: [{
        text: ''
      }]
    }, props, {
      type: nodeType
    });
  },
  createListItemNode: function createListItemNode(props) {
    if (props === void 0) {
      props = {};
    }
    return _extends({
      children: [{
        text: ''
      }]
    }, props, {
      type: defaultNodeTypes.listItem
    });
  },
  createListItemTextNode: function createListItemTextNode(props) {
    if (props === void 0) {
      props = {};
    }
    return _extends({
      children: [{
        text: ''
      }]
    }, props, {
      type: defaultNodeTypes.listItemText
    });
  }
});

/**
 * Workaround for not being able to exit inline nodes (just links so far)
 * by pressing right on the keyboard.
 */
var onKeyDownOffset = function onKeyDownOffset(editor, event) {
  var selection = editor.selection;
  // Default left/right behavior is unit:'character'.
  // This fails to distinguish between two cursor positions, such as
  // <inline>foo<cursor/></inline> vs <inline>foo</inline><cursor/>.
  // Here we modify the behavior to unit:'offset'.
  // This lets the user step into and out of the inline without stepping over characters.
  // You may wish to customize this further to only use unit:'offset' in specific cases.
  if (selection && Range$1.isCollapsed(selection)) {
    var nativeEvent = event.nativeEvent;
    if (isKeyHotkey('left', nativeEvent)) {
      event.preventDefault();
      Transforms.move(editor, {
        unit: 'offset',
        reverse: true
      });
      return;
    }
    if (isKeyHotkey('right', nativeEvent)) {
      event.preventDefault();
      Transforms.move(editor, {
        unit: 'offset'
      });
      return;
    }
  }
};

function roundValues(_rect) {
  var rect = _extends({}, _rect);
  for (var _i = 0, _Object$keys = Object.keys(rect); _i < _Object$keys.length; _i++) {
    var key = _Object$keys[_i];
    // @ts-ignore
    rect[key] = Math.round(rect[key]);
  }
  return rect;
}
function shallowDiff(prev, next) {
  if (prev != null && next != null) {
    for (var _i2 = 0, _Object$keys2 = Object.keys(next); _i2 < _Object$keys2.length; _i2++) {
      var key = _Object$keys2[_i2];
      if (prev[key] != next[key]) {
        return true;
      }
    }
  } else if (prev != next) {
    return true;
  }
  return false;
}
var defaultState = {};
/**
 * useTextSelection(ref)
 *
 * @description
 * hook to get information about the current text selection
 *
 */
function useTextSelection(target) {
  var _useState = useState(defaultState),
    _useState$ = _useState[0],
    clientRect = _useState$.clientRect,
    isCollapsed = _useState$.isCollapsed,
    textContent = _useState$.textContent,
    setState = _useState[1];
  var scrollableParentRef = React.useRef();
  useCallback(function () {
    setState(defaultState);
  }, []);
  /**
   * Returns the first scrollable parent of the item being selected
   * in our case it would be the editor
   */
  function getScrollParent(node) {
    if (node == null) {
      return null;
    }
    if (node.scrollHeight > node.clientHeight) {
      return node;
    } else {
      return getScrollParent(node.parentNode);
    }
  }
  var handler = useCallback(function () {
    var newRect = null;
    var selection = window.getSelection();
    var newState = {};
    if (selection == null || !selection.rangeCount) {
      setState(newState);
      return;
    }
    var range = selection.getRangeAt(0);
    // we try and find the first scrollable parent so we can add scroll listeners to it
    var scrollableParent = getScrollParent(range.startContainer);
    scrollableParentRef.current = scrollableParent;
    if (target != null && !target.contains(range.commonAncestorContainer)) {
      setState(newState);
      return;
    }
    if (range == null) {
      setState(newState);
      return;
    }
    var contents = range.cloneContents();
    if (contents.textContent != null) {
      newState.textContent = contents.textContent;
    }
    var rects = range.getClientRects();
    if (rects.length === 0 && range.commonAncestorContainer != null) {
      var el = range.commonAncestorContainer;
      if (el.getBoundingClientRect) newRect = roundValues(el.getBoundingClientRect().toJSON());
    } else {
      if (rects.length < 1) return;
      newRect = roundValues(rects[0].toJSON());
    }
    if (newRect) if (shallowDiff(clientRect, newRect)) {
      newState.clientRect = newRect;
    }
    newState.isCollapsed = range.collapsed;
    setState(newState);
  }, [target]);
  useLayoutEffect(function () {
    document.addEventListener('selectionchange', handler);
    document.addEventListener('keydown', handler);
    document.addEventListener('keyup', handler);
    window.addEventListener('resize', handler);
    return function () {
      document.removeEventListener('selectionchange', handler);
      document.removeEventListener('keydown', handler);
      document.removeEventListener('keyup', handler);
      window.removeEventListener('resize', handler);
    };
  }, [target]);
  // add a scroll listener to the parent, so the item follows with scrolling
  useLayoutEffect(function () {
    var _scrollableParentRef$;
    (_scrollableParentRef$ = scrollableParentRef.current) == null || _scrollableParentRef$.addEventListener('scroll', handler);
    return function () {
      var _scrollableParentRef$2;
      (_scrollableParentRef$2 = scrollableParentRef.current) == null || _scrollableParentRef$2.removeEventListener('scroll', handler);
    };
  }, [clientRect, isCollapsed, textContent]);
  return {
    clientRect: clientRect,
    isCollapsed: isCollapsed,
    textContent: textContent
  };
}

/**
 * A floating toolbar that only appears when text is selected
 */
var FloatingToolbar = function FloatingToolbar() {
  var selection = useSlateSelection();
  var popoverRef = React.useRef();
  var _useTextSelection = useTextSelection(),
    clientRect = _useTextSelection.clientRect;
  var _React$useState = React.useState(false),
    pointerUp = _React$useState[0],
    setPointerUp = _React$useState[1];
  React.useEffect(function () {
    var handlePointerUp = function handlePointerUp() {
      setPointerUp(true);
    };
    var handlePointerDown = function handlePointerDown(event) {
      var _popoverRef$current;
      if (!((_popoverRef$current = popoverRef.current) != null && _popoverRef$current.contains(event.target))) setPointerUp(false);
    };
    document.addEventListener('pointerup', handlePointerUp);
    document.addEventListener('pointerdown', handlePointerDown);
    return function () {
      document.removeEventListener('pointerup', handlePointerUp);
      document.removeEventListener('pointerdown', handlePointerDown);
    };
  }, []);
  /**
   * Returns true if Slate selection length is 0
   */
  var nothingSelected = React.useMemo(function () {
    return selection ? selection.anchor.offset - selection.focus.offset === 0 : true;
  }, [selection]);
  /**
   * Returns true if Slate selection length is 0
   * The first number of path is which paragraph is selected (I think)
   */
  var isSingleParagraphSelected = React.useMemo(function () {
    return selection ? selection.anchor.path[0] === selection.focus.path[0] : false;
  }, [selection]);
  if (!clientRect || !selection ||
  // dont show the toolbar if nothing is selected
  nothingSelected ||
  // don't show the toolbar if multiple paragraphs are selected
  !isSingleParagraphSelected) return null;
  if (!pointerUp) return null;
  return React.createElement(Popover, {
    open: true
  }, React.createElement(Portal.Root, null, React.createElement(PopoverAnchor, {
    asChild: true
  }, React.createElement("div", {
    className: "pointer-events-none",
    style: {
      height: clientRect.height,
      width: clientRect.width,
      left: clientRect.x,
      top: clientRect.y,
      position: 'absolute'
    }
  }))), React.createElement(PopoverContent
  // @ts-ignore
  , {
    // @ts-ignore
    ref: popoverRef,
    side: "top",
    onOpenAutoFocus: function onOpenAutoFocus(e) {
      return e.preventDefault();
    },
    className: "p-0 w-auto"
  }, React.createElement("div", {
    className: "flex"
  }, React.createElement(MarkButton, {
    format: "bold",
    icon: React.createElement(TextBolder, {
      size: 16
    })
  }), React.createElement(MarkButton, {
    format: "italic",
    icon: React.createElement(TextItalic, {
      size: 16
    })
  }), React.createElement(CodeSnippetButton, null), React.createElement(LinkButton, null), React.createElement(BlockButton, {
    format: "code_block",
    icon: React.createElement(Code$1, {
      size: 16
    })
  }), React.createElement(BlockButton, {
    format: "heading_one",
    icon: React.createElement(TextHOne, {
      size: 16
    })
  }), React.createElement(BlockButton, {
    format: "heading_two",
    icon: React.createElement(TextHTwo, {
      size: 16
    })
  }), React.createElement(BlockButton, {
    format: "heading_three",
    icon: React.createElement(TextHThree, {
      size: 16
    })
  }), React.createElement(BlockButton, {
    format: "block_quote",
    icon: React.createElement(Quotes, {
      size: 16
    })
  }), React.createElement(BlockButton, {
    format: "ol_list",
    icon: React.createElement(ListNumbers, {
      size: 16
    })
  }), React.createElement(BlockButton, {
    format: "ul_list",
    icon: React.createElement(ListBullets, {
      size: 16
    })
  }))));
};

/**
 * Adds custom Imput functions for the slate editor
 */
var withImput = function withImput(editor) {
  var isVoid = editor.isVoid,
    isInline = editor.isInline;
  /**
   * A void is an element with text that can't be edited
   * Here we use them as buttons, so they can be clicked and
   * you can interact with them (images and components)
   */
  editor.isVoid = function (element) {
    // @ts-ignore
    return element.type === 'mdxJsxFlowElement' ||
    // @ts-ignore
    element.type === 'image' ?
    // @ts-ignore
    //  || element.type === 'code_block'
    true : isVoid(element);
  };
  /**
   * We override new paragraph insertions by pressing "Enter".
   * Whenever a new paragraph is addded we ensure the styles are reset
   * (e.g. if the previous entry was a heading, the new one will be a paragraph)
   * As well as assigning each node a unique id.
   */
  editor.insertBreak = function () {
    var selection = editor.selection;
    if (selection) {
      Transforms.insertNodes(editor, {
        children: [{
          text: ''
        }],
        // @ts-expect-error
        type: 'paragraph',
        id: v4()
      });
      return;
    }
  };
  /**
   * Used to identify special inline elements. Inline elements can be
   * escaped by pressing right arrow or clicking at the end of the paragraph.
   */
  editor.isInline = function (element) {
    var customElement = element;
    console.log('customElement', customElement);
    return ['link', 'code_snippet'].includes(customElement.type) || isInline(element);
  };
  return editor;
};

var deserialize = function deserialize(src) {
  var result = [];
  var response;
  // handle the MDX parser failing
  // Sometimes there's literally nothing we can do on our side to fix it
  // so the best solution is return everything in plaintext and let the user sort it out
  try {
    var parsed = unified().use(remarkParse).use(remarkMdx).use(plugin).processSync(src);
    result = parsed.result;
    response = {
      status: 'ok'
    };
  } catch (err) {
    var error = err;
    var _parsed = unified().use(remarkParse).use(plugin).processSync(src);
    result = _parsed.result;
    response = {
      status: 'error',
      error: error
    };
  }
  // we add ids to each node
  // because we then iterate through them with react
  // and we need something to use as key so rendering doesn't get weird
  result.map(function (r) {
    // @ts-expect-error
    if (!r.id) {
      // @ts-expect-error
      r.id = v4();
    }
  });
  return {
    result: result,
    response: response
  };
};
var serialize = serialize$1;
var Editor = function Editor(_ref) {
  var value = _ref.value,
    onChange = _ref.onChange,
    debug = _ref.debug;
  var renderElement = React.useCallback(function (props) {
    var path = ReactEditor.findPath(editor, props.element);
    // a level of 2 means it's a root element
    var displayControls = Path.levels(path).length === 2;
    // this renders links and code_snippets as an inline element
    if (props.element.type === defaultNodeTypes.link || props.element.type === defaultNodeTypes.code_snippet) {
      return React.createElement(Element, _extends({}, props));
    }
    return React.createElement("div", {
      className: "flex flex-col gap-2 children:flex-1"
    }, React.createElement("div", {
      className: "flex gap-2 children:flex-1"
    }, displayControls && React.createElement(MoveElement, _extends({}, props)), React.createElement(Element, _extends({}, props))), displayControls && React.createElement(Controls, _extends({}, props)));
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
  var renderLeaf = React.useCallback(function (props) {
    return React.createElement(Leaf, _extends({}, props));
  }, []);
  var _React$useState = React.useState(function () {
      return withInlines(withImput(withListsReact(withListsPlugin(withReact(withHistory(createEditor()))))));
    }),
    editor = _React$useState[0];
  var onEditorChange = function onEditorChange(val) {
    console.log(val);
    onChange == null || onChange(val);
  };
  // can't update on every change in prod
  var debouncedOnChange = debug ? onEditorChange : debounce(onEditorChange, 100);
  /**
   * For debugging purposes, so onChange runs when the editor is first loaded
   */
  React.useEffect(function () {
    if (debug) {
      onChange == null || onChange(value);
    }
  }, []);
  return React.createElement(React.Fragment, null, React.createElement(Slate, {
    editor: editor,
    value: value,
    onChange: debouncedOnChange
  }, React.createElement(FloatingToolbar, null), React.createElement("div", {
    className: "children:p-2"
  }, React.createElement(Editable, {
    "data-testid": "slate-content-editable",
    renderElement: renderElement,
    renderLeaf: renderLeaf,
    onKeyDown: function onKeyDown$1(event) {
      onKeyDown(editor, event);
      onKeyDownOffset(editor, event);
    }
  }))));
};

var _excluded$1 = ["value"];
var RelationSelectComponent = /*#__PURE__*/React.forwardRef(function (_ref, forwardedRef) {
  var collection = _ref.collection,
    value_field = _ref.value_field,
    display_fields = _ref.display_fields,
    isMulti = _ref.isMulti,
    value = _ref.value,
    onValueChange = _ref.onValueChange;
  var _useCMS = useCMS(),
    collections = _useCMS.collections;
  var foundCollection = collections.find(function (c) {
    return c.name === collection;
  });
  if (!foundCollection) {
    throw new Error("Could not find collection \"" + collection + "\" on relation widget.");
  }
  var _useGetGithubCollecti = useGetGithubCollection(foundCollection.folder),
    isSuccess = _useGetGithubCollecti.isSuccess,
    data = _useGetGithubCollecti.data;
  var valueKey = value_field;
  var displayKey = display_fields || value_field;
  var optionsMemo = React.useMemo(function () {
    if (isSuccess) {
      return data == null ? void 0 : data.map(function (d) {
        var value = d.data[valueKey];
        var label = d.data[displayKey];
        if (!value || !label) {
          throw new Error("An error occurred while displaying data in the relation widget. Are you sure your \"value_field\" and \"display_fields\" properties exist in the \"" + collection + "\" collection?");
        }
        return {
          value: value,
          label: label
        };
      });
    } else {
      return [];
    }
  }, [isSuccess]);
  if (!isSuccess) return React.createElement(React.Fragment, null, "Loading...");
  if (isMulti) {
    return React.createElement(Combobox.Multi, {
      ref: forwardedRef,
      options: optionsMemo,
      // should be an array
      defaultValue: value,
      onValueChange: onValueChange
    });
  }
  return React.createElement(Combobox
  // @ts-expect-error
  , {
    // @ts-expect-error
    ref: forwardedRef,
    options: optionsMemo,
    defaultValue: value,
    onValueChange: onValueChange
  });
});
function Controlled(props) {
  var form = useFormContext();
  var _useFormItem = useFormItem(),
    name = _useFormItem.name,
    rules = _useFormItem.rules;
  var _useController = useController({
      name: name,
      control: form.control,
      rules: rules
    }),
    _useController$field = _useController.field,
    value = _useController$field.value,
    fields = _objectWithoutPropertiesLoose(_useController$field, _excluded$1);
  return React.createElement(RelationSelect, _extends({}, props, fields, {
    value: value,
    onValueChange: function onValueChange(v) {
      if (props.isMulti) {
        // @ts-ignore
        fields.onChange(v.map(function (o) {
          return o.value;
        }));
      } else {
        fields.onChange(v == null ? void 0 : v.value);
      }
    }
  }));
}
var RelationSelect = /*#__PURE__*/Object.assign(RelationSelectComponent, {
  Controlled: Controlled
});

var LayoutContext = /*#__PURE__*/React.createContext({});

var Layout = function Layout(_ref) {
  var children = _ref.children,
    navbar = _ref.navbar;
  var _useMeasure = useMeasure(),
    ref = _useMeasure[0],
    height = _useMeasure[1].height;
  return React.createElement(LayoutContext.Provider, {
    value: {
      navbarHeight: height
    }
  }, React.createElement("div", {
    className: "flex flex-col min-h-screen max-h-screen"
  }, React.createElement("div", {
    ref: ref,
    className: "border-b border-border flex"
  }, React.createElement("div", {
    className: "max-w-[1920px] m-auto w-full py-2 px-4"
  }, navbar)), React.createElement("div", {
    className: "overflow-y-auto flex-1 flex max-w-[1920px] w-full m-auto",
    style: {
      maxHeight: "calc(100vh - " + height + "px)"
    }
  }, typeof children === 'function' ? children({
    navbarHeight: height
  }) : children)));
};

/**
 * This component will replace JSX with actual components.
 * We use it both in the editor and in the frontend when rendering articles.
 */
var MdxProvider = function MdxProvider(props) {
  return React.createElement(MDXProvider, _extends({}, props));
};

var MdxRenderer = function MdxRenderer(_ref) {
  var descendants = _ref.descendants,
    components = _ref.components;
  return React.createElement(MdxProvider, {
    components: components
  }, descendants.map(function (d) {
    return React.createElement(InternalRenderer, {
      descendant: d,
      key: d.id
    });
  }));
};
/**
 * Parses and compiles MDX on the fly returning React code to be displayed.
 * In case of errors it waits until the next successful compile to update.
 * @param mdx - the mdx to parse
 * @returns
 */
function useMDX(mdx) {
  var _React$useState = React.useState({
      // @ts-ignore
      "default": runtime.Fragment
    }),
    exports = _React$useState[0],
    setExports = _React$useState[1];
  var _React$useState2 = React.useState(false),
    errored = _React$useState2[0],
    setErrored = _React$useState2[1];
  React.useEffect(function () {
    // @ts-ignore
    evaluate(mdx, _extends({}, runtime, {
      useMDXComponents: useMDXComponents
    })).then(function (exports) {
      setExports(exports);
      setErrored(false);
    })["catch"](function () {
      console.log('errored, not updating');
      setErrored(true);
    });
  }, [mdx]);
  return {
    exports: exports,
    errored: errored
  };
}
var InternalRenderer = function InternalRenderer(_ref2) {
  var descendant = _ref2.descendant;
  var mdx = React.useMemo(function () {
    return serialize(descendant) || '';
  }, [descendant]);
  var _useMDX = useMDX(mdx),
    exports = _useMDX.exports,
    errored = _useMDX.errored;
  var Content = exports["default"];
  return React.createElement("div", {
    className: "relative min-h-12"
  }, errored && React.createElement(TooltipProvider, null, React.createElement(Tooltip, null, React.createElement(TooltipTrigger, {
    className: "absolute right-2 top-2"
  }, React.createElement(Badge, {
    variant: "destructive",
    className: "flex gap-1"
  }, React.createElement(WarningCircle, {
    size: 16,
    weight: "bold"
  }), " Error")), React.createElement(TooltipContent, {
    className: "max-w-sm"
  }, "This doesn't necessarily mean there's an error with your Markdown, it just means we can't display this block!"))), React.createElement(ErrorBoundary$1, null, React.createElement(Content, null)));
};

var _excluded = ["body"],
  _excluded2 = ["body", "rawBody"],
  _excluded3 = ["body", "rawBody"];
var EditorPage = function EditorPage(_ref) {
  var document = _ref.document,
    _ref$slug = _ref.slug,
    slug = _ref$slug === void 0 ? '{{slug}}' : _ref$slug;
  var _useCMS = useCMS(),
    currentCollection = _useCMS.currentCollection,
    currentFile = _useCMS.currentFile;
  // used to correctly initialize the form values
  var returnDefaultValue = function returnDefaultValue(widgetType) {
    switch (widgetType) {
      default:
        return '';
      case 'boolean':
        return false;
    }
  };
  var defaultValues = function defaultValues() {
    var defaultValues = Object.fromEntries(currentCollection.fields.filter(function (f) {
      return f.name !== 'body';
    }).map(function (f) {
      return [f.name, f["default"] || returnDefaultValue(f.widget)];
    }));
    return _extends({}, defaultValues);
  };
  // we need to initialize our empty values from config
  var form = useForm({
    // define body explicitly here even if it's going to be overwritten later for types
    defaultValues: _extends({
      body: '',
      rawBody: []
    }, defaultValues())
  });
  // initialize default values to the form
  useEffect(function () {
    if (document) {
      var _matter = matter(document.markdown),
        body = _matter.content,
        grayMatterObj = _matter.data;
      var rawBody = deserialize(body);
      form.reset(_extends({}, grayMatterObj, {
        body: body,
        rawBody: rawBody.result
      }));
      setMarkdown(document.markdown);
    }
  }, [document, form]);
  var formValues = form.watch();
  var _React$useState = React.useState(undefined),
    markdown = _React$useState[0],
    setMarkdown = _React$useState[1];
  // at times, our gray matter might have some undefined values
  // in those cases we need to merge our form values with a generated object of default values
  // if any undefined properties are passed to gray-matter it will blow up 🤦‍♂️
  var getCorrectedFormValues = function getCorrectedFormValues() {
    return merge(defaultValues(), formValues);
  };
  var isNewFile = currentFile === '';
  /**
   * If the file already exists, filename will be the original filename
   * if it doesn't, we'll instead generate it via handlebars
   */
  var filename = React.useMemo(function () {
    if (isNewFile && slug) {
      var date = new Date();
      var template = Handlebars.compile(slug);
      var _getCorrectedFormValu = getCorrectedFormValues(),
        rest = _objectWithoutPropertiesLoose(_getCorrectedFormValu, _excluded);
      if (slug.includes('slug') && rest.title === undefined) {
        console.warn("Your slug is " + slug + ", which by default is a \"slugified\" version of the \"title\" field. However, this document does not have a title field. This will cause issues when saving.");
      }
      // slugify each property in the current schema so that it can be used to construct our slug.
      var slugifiedRest = cloneDeep$1(rest);
      Object.keys(slugifiedRest).forEach(function (key) {
        slugifiedRest[key] = slugify(String(slugifiedRest[key]));
      });
      return template(_extends({}, slugifiedRest, {
        slug: slugify(String(rest.title)),
        year: date.getFullYear(),
        month: date.getMonth(),
        day: date.getDate(),
        hour: date.getHours(),
        minute: date.getMinutes(),
        seconds: date.getSeconds(),
        uuid: v4()
      }));
    } else {
      return currentFile;
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [markdown]);
  var _useSaveMarkdown = useSaveMarkdown(filename),
    mutate = _useSaveMarkdown.mutate,
    isLoading = _useSaveMarkdown.isLoading;
  // we parse form values into a graymatter string so we can display it
  React.useEffect(function () {
    var mergedValues = getCorrectedFormValues();
    var body = mergedValues.body,
      rest = _objectWithoutPropertiesLoose(mergedValues, _excluded2);
    var content = matter.stringify(body, _extends({}, rest));
    setMarkdown(content);
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [formValues]);
  var queryClient = useQueryClient();
  var navigate = useNavigate();
  var _useParams = useParams(),
    cms = _useParams.cms,
    collection = _useParams.collection;
  /**
   * Renders a custom MDX preview or just the plain markdown
   */
  var renderPreview = function renderPreview() {
    var _currentCollection$pr, _currentCollection$pr2;
    return React.createElement(React.Fragment, null, (_currentCollection$pr = currentCollection.preview) != null && _currentCollection$pr.components ? React.createElement(MdxRenderer, {
      descendants: formValues.rawBody,
      components: (_currentCollection$pr2 = currentCollection.preview) == null ? void 0 : _currentCollection$pr2.components
    }) : React.createElement("div", {
      className: "whitespace-break-spaces"
    }, markdown));
  };
  if (markdown) {
    return React.createElement(Layout, {
      navbar: React.createElement("div", {
        className: "flex flex-1 justify-between"
      }, React.createElement(Button, {
        variant: "outline",
        className: "gap-1",
        onClick: function onClick() {
          navigate(-1);
        }
      }, React.createElement(CaretLeft, {
        size: 16
      }), "Back to ", currentCollection.name), React.createElement(Button, {
        type: "submit",
        form: "content-form",
        // loading={isLoading}
        disabled: isLoading
      }, isNewFile ? 'Publish' : 'Update'))
    }, function (_ref2) {
      var _currentCollection$pr3, _currentCollection$pr4, _currentCollection$pr5;
      var navbarHeight = _ref2.navbarHeight;
      return React.createElement("div", {
        className: "flex flex-row items-stretch gap-4 flex-1"
      }, React.createElement("div", {
        className: "overflow-y-auto p-4 flex-1 border-r border-border",
        style: {
          maxHeight: "calc(100vh - " + navbarHeight + "px)"
        }
      }, React.createElement(Form, {
        id: "content-form",
        form: form,
        debug: true,
        onSubmit: function onSubmit() {
          var id = toast.loading('Saving content...');
          var _getCorrectedFormValu2 = getCorrectedFormValues(),
            body = _getCorrectedFormValu2.body,
            rest = _objectWithoutPropertiesLoose(_getCorrectedFormValu2, _excluded3);
          var content = matter.stringify(body, rest);
          console.log(content);
          mutate({
            markdown: {
              content: content,
              path: currentCollection.folder + "/" + filename + "." + currentCollection.extension
            }
          }, {
            onSuccess: function onSuccess() {
              toast.success('Content saved!', {
                id: id
              });
              // We can get a big UX win here by upating the cache with the data we get back
              queryClient.removeQueries({
                queryKey: queryKeys.github.collection(currentCollection.folder).queryKey,
                exact: false
              });
              // redirect to the file we've just created
              if (isNewFile) {
                navigate("/" + cms + "/" + collection + "/" + filename, {
                  replace: true
                });
              }
            }
          });
        }
      }, React.createElement("div", {
        className: "flex flex-col gap-2"
      }, currentCollection.fields.map(function (f) {
        var renderControl = function renderControl() {
          switch (f.widget) {
            case 'string':
              return React.createElement(Input$1, null);
            case 'date':
              return React.createElement(Input$1, {
                type: "date"
              });
            case 'datetime':
              return React.createElement(Input$1, {
                type: "datetime-local"
              });
            case 'markdown':
              return React.createElement(CreateEditor, null);
            case 'image':
              return React.createElement(ImagePicker.Controlled, null);
            case 'boolean':
              return React.createElement(SwitchControlled, null);
            case 'select':
              if (f.multiple) {
                return React.createElement(ComboBox.Multi, {
                  options: f.options.map(function (o) {
                    return {
                      value: o,
                      label: o
                    };
                  })
                });
              }
              return React.createElement(ComboBox, {
                options: f.options.map(function (o) {
                  return {
                    value: o,
                    label: o
                  };
                })
              });
            case 'relation':
              return React.createElement(ErrorBoundary, null, React.createElement(RelationSelect.Controlled, {
                collection: f.collection,
                value_field: f.value_field,
                display_fields: f.display_fields,
                isMulti: f.multiple || false
              }));
          }
        };
        return React.createElement(Form.Item, {
          key: f.name,
          name: f.name,
          label: f.label,
          rules: f.rules
        }, renderControl());
      })))), React.createElement("div", {
        className: "overflow-y-auto flex-1",
        style: {
          maxHeight: "calc(100vh - " + navbarHeight + "px)"
        }
      }, (_currentCollection$pr3 = currentCollection.preview) == null || _currentCollection$pr3.header == null ? void 0 : _currentCollection$pr3.header(_extends({}, omit(formValues, ['rawBody']))), ((_currentCollection$pr4 = currentCollection.preview) == null || _currentCollection$pr4.wrapper == null ? void 0 : _currentCollection$pr4.wrapper({
        children: renderPreview()
      })) || renderPreview(), (_currentCollection$pr5 = currentCollection.preview) == null || _currentCollection$pr5.footer == null ? void 0 : _currentCollection$pr5.footer(_extends({}, omit(formValues, ['rawBody'])))));
    });
  }
  return React.createElement(Loader, null);
};
var CreateEditor = function CreateEditor() {
  var _useFormItem = useFormItem(),
    name = _useFormItem.name,
    rules = _useFormItem.rules;
  var _useFormContext = useFormContext(),
    control = _useFormContext.control,
    setValue = _useFormContext.setValue;
  var _useController = useController({
      name: name,
      control: control,
      rules: rules
    }),
    field = _useController.field;
  var _matter2 = matter(field.value),
    content = _matter2.content;
  var handleChange = React.useCallback(function (nextValue) {
    // serialize slate state to a markdown string
    var serialized = nextValue.map(function (v) {
      return serialize(v);
    }).join('');
    field.onChange(serialized);
    // if this is the main body we save the raw slate array to form
    if (name === 'body') {
      setValue('rawBody', nextValue);
    }
  }, [field]);
  var value = React.useMemo(function () {
    var deserialized = deserialize(content || 'My markdown content');
    return deserialized.result;
  },
  // eslint-disable-next-line react-hooks/exhaustive-deps
  []);
  return React.createElement(DepthProvider, null, React.createElement(Editor, {
    value: value,
    onChange: function onChange(value) {
      return handleChange(value);
    }
  }));
};

var ContentPage = function ContentPage() {
  var _useCMS = useCMS(),
    currentCollection = _useCMS.currentCollection,
    currentFile = _useCMS.currentFile;
  // find the currently opened file from the collection of all files
  var _useGetContent = useGetContent(currentCollection.folder, currentFile),
    document = _useGetContent.data,
    isSuccess = _useGetContent.isSuccess,
    isLoading = _useGetContent.isLoading,
    isError = _useGetContent.isError,
    collectionIsError = _useGetContent.collectionIsError;
  if (isLoading) return React.createElement(Loader, null);
  if (isSuccess) {
    return React.createElement(EditorPage, {
      document: document
    });
  }
  if (isError || collectionIsError) return React.createElement(React.Fragment, null, "You fucked up");
  return React.createElement(Loader, null);
};

var CollectionCard = function CollectionCard(props) {
  var _useCMS = useCMS(),
    currentCollection = _useCMS.currentCollection;
  // find the first string field in config
  var firstStringField = currentCollection.fields.find(function (f) {
    return f.widget === 'string';
  });
  var title = firstStringField ? props.data[firstStringField.name] : props.slug;
  // find the first image field in config, then use its name to find the image in the props
  var firstImageField = currentCollection.fields.find(function (f) {
    return f.widget === 'image';
  });
  var image = firstImageField ? props.data[firstImageField.name] : undefined;
  return React.createElement(Link$1, {
    key: props.slug,
    to: props.baseUrl + "/" + props.slug
  }, React.createElement(Card, {
    className: "hover:bg-primary-foreground transition-colors hover:text-accent-foreground overflow-hidden"
  }, React.createElement(Image$1, {
    path: image
  }), React.createElement(CardHeader, null, title)));
};

var NewPage = function NewPage() {
  var _useCMS = useCMS(),
    currentCollection = _useCMS.currentCollection;
  return React.createElement(EditorPage, {
    slug: currentCollection.slug
  });
};

var SortBy = function SortBy(_temp) {
  var _ref = _temp === void 0 ? {
      values: {
        sortBy: '',
        direction: 'desc'
      }
    } : _temp,
    onChange = _ref.onChange,
    options = _ref.options,
    values = _ref.values;
  var form = useForm({
    defaultValues: values
  });
  React.useEffect(function () {
    onChange == null || onChange(form.watch());
  }, [form.watch()]);
  return React.createElement(Form$1, {
    form: form,
    onSubmit: function onSubmit() {},
    className: "w-full flex gap-2"
  }, React.createElement(Form$1.Item, {
    label: "Direction",
    name: "direction",
    className: "flex-1"
  }, React.createElement(Select, null, React.createElement("option", {
    value: 'asc'
  }, "Ascending"), React.createElement("option", {
    value: 'desc'
  }, "Descending"))), React.createElement(Form$1.Item, {
    label: "Sort by",
    name: "sortBy",
    className: "flex-1"
  }, React.createElement(Select, null, options == null ? void 0 : options.map(function (o) {
    return React.createElement("option", {
      value: o,
      key: o
    }, o);
  }))));
};

var Logo = function Logo() {
  return React.createElement("svg", {
    width: "34",
    height: "34",
    viewBox: "0 0 34 34",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, React.createElement("path", {
    d: "M1 13.3006V26.0336C1 29.8651 4.13487 33 7.96638 33H25.9941C29.8256 33 32.9604 29.8651 32.9604 26.0336V13.3006C32.9604 9.46911 29.8256 6.33423 25.9941 6.33423H25.5977V6.33299C25.6795 4.67566 25.1052 2.97589 23.9678 1.75615C23.7038 1.47337 23.4004 1.20683 23.0309 1.09259C22.0402 0.787347 21.2968 1.25864 21.7343 2.18499C22.5564 3.92409 22.0983 6.10452 19.9035 6.3049C19.7949 6.31488 19.5926 6.29553 19.4921 6.3049L16.9802 6.31114L14.4683 6.3049C14.3678 6.29553 14.1656 6.31488 14.057 6.3049C11.8622 6.10452 11.404 3.92409 12.2261 2.18499C12.6637 1.25864 11.9209 0.787347 10.9296 1.09259C10.56 1.20683 10.2567 1.47337 9.99262 1.75615C8.85528 2.97589 8.28099 4.67566 8.36276 6.33299V6.33423H7.96638C4.13487 6.33423 1 9.46911 1 13.3006Z",
    fill: "url(#paint0_radial_60_32)",
    stroke: "#282123",
    strokeWidth: "1.5"
  }), React.createElement("path", {
    d: "M14.137 23.6189C13.3078 22.7897 14.5509 19.6397 17.0419 19.6398C19.533 19.6398 20.6407 22.5619 20.01 23.5505C19.3793 24.5391 17.0276 22.9765 17.0276 22.9765C17.0276 22.9765 14.9663 24.448 14.137 23.6189Z",
    fill: "#660D06"
  }), React.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M13.6962 20.9412C14.3029 19.8985 15.4489 18.8898 17.042 18.8898C18.6178 18.8898 19.7337 19.8226 20.3407 20.8403C20.6441 21.3489 20.838 21.9037 20.9062 22.425C20.9717 22.9251 20.9334 23.4975 20.6423 23.9539C20.2897 24.5064 19.7134 24.6386 19.2598 24.6277C18.8184 24.617 18.3676 24.4764 18.0034 24.3305C17.63 24.1809 17.2864 24.0005 17.0393 23.8602C16.818 23.9925 16.5189 24.1571 16.1877 24.2984C15.8431 24.4456 15.4194 24.587 14.9901 24.6166C14.5562 24.6464 14.0225 24.565 13.6067 24.1492C13.1682 23.7108 13.0965 23.0822 13.1441 22.5769C13.1946 22.0414 13.3906 21.4663 13.6962 20.9412ZM17.4426 22.3519L17.4452 22.3536L17.4605 22.3635C17.4748 22.3727 17.497 22.3869 17.5262 22.405C17.5847 22.4414 17.6704 22.4935 17.7758 22.5534C17.989 22.6747 18.2704 22.8216 18.5611 22.938C18.8637 23.0592 19.1191 23.1238 19.296 23.1281C19.3421 23.1292 19.3717 23.1266 19.3896 23.1236C19.4166 23.0601 19.4556 22.8999 19.4189 22.6198C19.379 22.3152 19.2586 21.9542 19.0525 21.6087C18.6406 20.9181 17.9571 20.3898 17.0419 20.3898C16.144 20.3898 15.423 20.9561 14.9927 21.6956C14.7797 22.0616 14.6647 22.4295 14.6375 22.7178C14.6112 22.9965 14.6721 23.0896 14.6717 23.0925C14.6773 23.0972 14.6869 23.1029 14.707 23.1087C14.7386 23.1178 14.7959 23.1264 14.887 23.1201C15.0773 23.107 15.3245 23.036 15.5988 22.9189C15.8652 22.8052 16.116 22.666 16.3038 22.5522C16.3965 22.4959 16.4712 22.4475 16.5217 22.4139C16.5468 22.3972 16.5658 22.3842 16.5778 22.3759L16.5904 22.3671L16.5921 22.366C16.5922 22.3659 16.5922 22.3659 16.5921 22.366L17.0123 22.066L17.4426 22.3519ZM19.4131 23.1165C19.4137 23.1169 19.4108 23.1188 19.4025 23.1209C19.4084 23.1171 19.4125 23.1161 19.4131 23.1165Z",
    fill: "#282123"
  }), React.createElement("path", {
    d: "M22.0602 26.9407C22.0602 26.9407 22.2237 27.5668 21.7493 28.5955C21.2855 29.6005 23.6301 28.2697 23.7075 27.319L22.0602 26.9413V26.9407Z",
    fill: "#E1E1E1"
  }), React.createElement("path", {
    d: "M12.0014 26.9407C12.0014 26.9407 11.8378 27.5668 12.3122 28.5955C12.776 29.6005 10.4314 28.2697 10.354 27.319L12.0014 26.9413V26.9407Z",
    fill: "#E1E1E1"
  }), React.createElement("path", {
    d: "M26.7974 25.483C27.2756 26.0317 27.0072 26.6422 26.3911 26.9412C26.3911 26.9412 25.0665 27.7914 22.4466 26.9412C21.293 26.5667 19.7917 25.9187 17.2823 25.9187H16.7798C14.2704 25.9187 12.7692 26.5667 11.6156 26.9412C8.99572 27.7914 7.67111 26.9412 7.67111 26.9412C7.055 26.6422 6.78658 26.0324 7.26473 25.483",
    stroke: "#282123",
    strokeWidth: "1.5",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }), React.createElement("path", {
    d: "M27.878 14.2608L20.0592 17.7325C21.0592 20.2325 23.9908 20.7231 25.9344 19.7651C27.878 18.8072 29 16 27.878 14.2608Z",
    fill: "#660D06"
  }), React.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M28.1603 13.3149L28.5083 13.8543C29.2351 14.9809 29.1965 16.3806 28.7595 17.5655C28.321 18.7543 27.4372 19.8606 26.266 20.4379C24.0499 21.5301 20.5709 21.0311 19.3628 18.0111L19.0945 17.3403L28.1603 13.3149ZM21.0981 18.0919C22.0995 19.5295 24.1286 19.819 25.6028 19.0924C26.3752 18.7117 27.0242 17.9355 27.3521 17.0464C27.5875 16.4082 27.635 15.78 27.4987 15.2499L21.0981 18.0919Z",
    fill: "#282123"
  }), React.createElement("path", {
    d: "M6.25525 14.3049L14.0741 17.7767C13.0741 20.2767 10.1425 20.7672 8.19886 19.8092C6.25525 18.8513 5.13327 16.0441 6.25525 14.3049Z",
    fill: "#660D06"
  }), React.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M5.97298 13.3589L5.62502 13.8983C4.8982 15.025 4.93677 16.4247 5.37381 17.6096C5.81229 18.7984 6.69606 19.9047 7.8673 20.4819C10.0834 21.5742 13.5624 21.0752 14.7704 18.0552L15.0388 17.3844L5.97298 13.3589ZM13.0352 18.136C12.0337 19.5736 10.0047 19.8631 8.53043 19.1365C7.75806 18.7558 7.10904 17.9795 6.78113 17.0905C6.54575 16.4523 6.49828 15.8241 6.6346 15.2939L13.0352 18.136Z",
    fill: "#282123"
  }), React.createElement("defs", null, React.createElement("radialGradient", {
    id: "paint0_radial_60_32",
    cx: "0",
    cy: "0",
    r: "1",
    gradientUnits: "userSpaceOnUse",
    gradientTransform: "translate(16.9802 17.0001) rotate(-90) scale(15.9999 15.9999)"
  }, React.createElement("stop", {
    stopColor: "#CC2910"
  }), React.createElement("stop", {
    offset: "1",
    stopColor: "#D73E26"
  }))));
};

var CollectionPage = function CollectionPage() {
  var navigate = useNavigate();
  var params = useParams();
  var _React$useState = React.useState(true),
    isOpen = _React$useState[0],
    setIsOpen = _React$useState[1];
  var _useParams = useParams(),
    collection = _useParams.collection;
  var location = useLocation();
  var _useCMS = useCMS(),
    collections = _useCMS.collections;
  var thisCollection = collections.find(function (c) {
    return c.name === collection;
  });
  var _useGetGithubCollecti = useGetGithubCollection(thisCollection.folder || collections[0].folder),
    isSuccess = _useGetGithubCollecti.isSuccess,
    data = _useGetGithubCollecti.data,
    isError = _useGetGithubCollecti.isError,
    isLoading = _useGetGithubCollecti.isLoading,
    _useGetGithubCollecti2 = _useGetGithubCollecti.sorting,
    sortBy = _useGetGithubCollecti2.sortBy,
    setSortBy = _useGetGithubCollecti2.setSortBy,
    options = _useGetGithubCollecti2.options,
    sortDirection = _useGetGithubCollecti2.sortDirection,
    setSortDirection = _useGetGithubCollecti2.setSortDirection;
  return React.createElement(React.Fragment, null, !isLoading ? React.createElement(Routes, null, React.createElement(Route, {
    path: "/new",
    element: React.createElement(NewPage, null)
  }), React.createElement(Route, {
    path: "/:file",
    element: React.createElement(ContentPage, null)
  }), React.createElement(Route, {
    path: '/',
    element: React.createElement(Layout, {
      navbar: React.createElement("div", {
        className: "flex flex-1 justify-between"
      }, React.createElement(Logo, null), React.createElement(Button, {
        onClick: function onClick() {
          navigate("/" + params.cms + "/" + (thisCollection == null ? void 0 : thisCollection.name) + "/new");
        }
      }, React.createElement(PlusCircle, {
        size: 16,
        className: "w-4 h-4 mr-1"
      }), "New ", thisCollection == null ? void 0 : thisCollection.label))
    }, React.createElement("div", {
      className: "grid grid-cols-12 flex-1 gap-2"
    }, React.createElement("div", {
      className: "col-span-2 pl-2 pb-2 flex flex-col"
    }, React.createElement("div", {
      className: "sticky top-0 pt-2"
    }, React.createElement(Collapsible, {
      className: "space-y-1",
      open: isOpen,
      onOpenChange: setIsOpen
    }, React.createElement("div", {
      className: "flex items-center justify-between"
    }, React.createElement(CollapsibleTrigger, {
      asChild: true
    }, React.createElement(Button, {
      variant: "ghost",
      className: "w-full justify-start"
    }, isOpen ? React.createElement(FolderNotchOpen, {
      className: "mr-2 h-4 w-4",
      weight: "bold"
    }) : React.createElement(FolderNotch, {
      className: "mr-2 h-4 w-4",
      weight: "bold"
    }), "Collections"))), React.createElement(CollapsibleContent, {
      className: "flex flex-col gap-1 ml-2"
    }, collections.map(function (c) {
      return React.createElement(Button, {
        key: c.name,
        variant: "ghost",
        className: "w-full justify-start " + (location.pathname === "/" + params.cms + "/" + c.name ? 'bg-accent' : ''),
        onClick: function onClick() {
          navigate("/" + params.cms + "/" + c.name);
        }
      }, c.label);
    }))))), React.createElement("div", {
      className: "col-span-10 p-2 border-l border-border gap-4 flex flex-col bg-accent"
    }, isError && React.createElement(GenericError, {
      title: "Could not find collection."
    }, "Are you sure your settings are correct?"), React.createElement(Card, {
      className: "p-2"
    }, React.createElement("div", {
      className: "grid grid-cols-12"
    }, React.createElement("div", {
      className: "col-span-2 flex items-center"
    }, isSuccess && React.createElement(H5, {
      className: "text-sm font-medium leading-none"
    }, data.length, " posts found")), React.createElement("div", {
      className: "col-span-4 col-start-9 flex justify-end"
    }, React.createElement(SortBy, {
      values: {
        sortBy: sortBy,
        direction: sortDirection
      },
      options: options,
      onChange: function onChange(val) {
        if (val.sortBy) setSortBy(val.sortBy);
        if (val.direction) setSortDirection(val.direction);
      }
    })))), React.createElement("div", {
      className: "grid gap-2 grid-cols-3"
    }, isSuccess && data.map(function (content) {
      return React.createElement(CollectionCard, _extends({
        key: content.slug
      }, content, {
        baseUrl: location.pathname
      }));
    })))), React.createElement(React.Fragment, null))
  })) : React.createElement(Loader, null));
};

/**
 * Central routing point for all of our private CMS pages
 */
var NextCMSPrivateRoutes = function NextCMSPrivateRoutes() {
  return React.createElement(Routes, null, React.createElement(Route, {
    path: "/:cms/:collection/*",
    element: React.createElement(CollectionPage, null)
  }), React.createElement(Route, {
    path: "/:cms",
    element: React.createElement(HomePage, null)
  }));
};
var queryClient = /*#__PURE__*/new QueryClient({
  defaultOptions: {
    queries: {
      refetchOnWindowFocus: false,
      retry: false
    }
  }
});
/**
 * NextCMS wrapper. Checks for login status, sets up contexts, etc.
 */
var NextCMSRoutes = function NextCMSRoutes(props) {
  React.useEffect(function () {
    var get = /*#__PURE__*/function () {
      var _ref = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee() {
        var octokit;
        return _regeneratorRuntime().wrap(function _callee$(_context) {
          while (1) switch (_context.prev = _context.next) {
            case 0:
              octokit = new Octokit({
                auth: getToken()
              });
              _context.t0 = console;
              _context.next = 4;
              return octokit.request('GET /rate_limit');
            case 4:
              _context.t1 = _context.sent;
              _context.t0.log.call(_context.t0, _context.t1);
            case 6:
            case "end":
              return _context.stop();
          }
        }, _callee);
      }));
      return function get() {
        return _ref.apply(this, arguments);
      };
    }();
    get();
  }, []);
  return React.createElement(BrowserRouter, null, React.createElement(QueryClientProvider, {
    client: queryClient
  }, React.createElement(CMSProvider, {
    settings: props.settings
  }, React.createElement(UserProvider, null, React.createElement(ImagesProvider, null, React.createElement("div", {
    className: "text-base"
  }, React.createElement(Toaster, {
    containerStyle: {
      zIndex: 99999
    }
  }), React.createElement(NextCMSPrivateRoutes, null))))), false ));
};

export { MdxProvider, MdxRenderer, NextCMSRoutes as default };
//# sourceMappingURL=imput-cms.esm.js.map
